import { FieldSchema } from '../types';
import { RouteLocationRaw } from 'vue-router';
declare const _default: <TKey extends string, T extends Record<TKey, any> & {
    clickable?: boolean;
    id?: string;
    href?: RouteLocationRaw;
}>(__VLS_props: NonNullable<Awaited<typeof __VLS_setup>>["props"], __VLS_ctx?: __VLS_PrettifyLocal<Pick<NonNullable<Awaited<typeof __VLS_setup>>, "attrs" | "emit" | "slots">>, __VLS_expose?: NonNullable<Awaited<typeof __VLS_setup>>["expose"], __VLS_setup?: Promise<{
    props: __VLS_PrettifyLocal<Pick<Partial<{}> & Omit<{
        readonly "onClick:view-all"?: (() => any) | undefined;
        readonly "onClick:entry"?: ((entry: T) => any) | undefined;
    } & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps, never>, "onClick:view-all" | "onClick:entry"> & {
        /**
         * Title displayed at the top of the widget
         */
        title?: string;
        /**
         * Optional stats figures to display under the title
         */
        statusFigures?: {
            label?: string;
            count?: number;
            role?: "info" | "error" | "warning" | "success";
            href?: RouteLocationRaw;
        }[];
        /**
         * List of entries to display in the table
         */
        entries: T[];
        /**
         * List of headings for the table
         */
        headings: readonly FieldSchema<TKey, any, any>[];
        /**
         * Link to navigate on clicking the `View all` button
         */
        viewAllHref?: RouteLocationRaw;
    }> & import('vue').PublicProps;
    expose(exposed: import('vue').ShallowUnwrapRef<{}>): void;
    attrs: any;
    slots: Readonly<Record<TKey, (entry: T) => void> & Record<`${TKey}Heading`, (heading: {
        name: TKey;
        label?: string;
    }) => void> & Record<"items", () => void>> & Record<TKey, (entry: T) => void> & Record<`${TKey}Heading`, (heading: {
        name: TKey;
        label?: string;
    }) => void> & Record<"items", () => void>;
    emit: ((evt: "click:view-all") => void) & ((evt: "click:entry", entry: T) => void);
}>) => import('vue').VNode & {
    __ctx?: Awaited<typeof __VLS_setup>;
};
export default _default;
type __VLS_PrettifyLocal<T> = {
    [K in keyof T]: T[K];
} & {};
