declare const _default: <T extends Date | Date[]>(__VLS_props: NonNullable<Awaited<typeof __VLS_setup>>["props"], __VLS_ctx?: __VLS_PrettifyLocal<Pick<NonNullable<Awaited<typeof __VLS_setup>>, "attrs" | "emit" | "slots">>, __VLS_expose?: NonNullable<Awaited<typeof __VLS_setup>>["expose"], __VLS_setup?: Promise<{
    props: __VLS_PrettifyLocal<Pick<Partial<{}> & Omit<{
        readonly "onUpdate:modelValue"?: ((modelValue: T) => any) | undefined;
    } & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps, never>, "onUpdate:modelValue"> & ({
        modelValue?: T;
    } & {
        /**
         * Does this field have a warning?
         */
        warning?: boolean;
        /**
         * Does this field have an error?
         */
        error?: boolean;
        /**
         * Is the input disabled?
         */
        disabled?: boolean;
        /**
         * Is the date readonly?
         */
        readonly?: boolean;
        /**
         * Close calendar on click
         */
        closeable?: boolean;
        /**
         * Format the date to display inside the input field; default: 'dd/mm/yyyy - dd/mm/yyyy'
         */
        dateFormatter?: ((date: Date | [] | Date[] | [Date, Date] | undefined) => string);
        /**
         * First day of the week in calendar
         */
        firstDayOfWeek?: 0 | 1 | 2 | 3 | 4 | 5 | 6;
        /**
         * Locale for the datepicker
         */
        locale?: string;
        /**
         * Maximum date allowed
         */
        maxDate?: Date;
        /**
         * Minimum date allowed
         */
        minDate?: Date;
        /**
         * Allow multiple dates selection
         */
        multiple?: boolean;
        /**
         * Open calendar on focus
         */
        openOnFocus?: boolean;
        /**
         * Trap focus inside while using the calendar
         */
        trapFocus?: boolean;
        /**
         * Range of years to display in the year picker
         */
        yearsRange?: number[];
        /**
         * Make the week number clickable
         */
        weekNumberClickable?: boolean;
        /**
         * Exclude dates that can be selected
         */
        unselectableDates?: Date[] | ((date: Date) => boolean);
        /**
         * Whether it is a range datepicker
         */
        range?: boolean;
        /**
         * Placeholder text displayed when no date is selected
         */
        placeholder?: string;
    })> & import('vue').PublicProps;
    expose(exposed: import('vue').ShallowUnwrapRef<{}>): void;
    attrs: any;
    slots: {};
    emit: {
        'update:modelValue': [modelValue: T];
    };
}>) => import('vue').VNode & {
    __ctx?: Awaited<typeof __VLS_setup>;
};
export default _default;
type __VLS_PrettifyLocal<T> = {
    [K in keyof T]: T[K];
} & {};
