declare function __VLS_template(): {
    slots: Readonly<{
        /**
         * Any content to be displayed in the main section of the app info box (before actions).
         */
        default?: () => VNode[];
        /**
         * Content for displaying an app logo
         */
        logo?: () => VNode[];
        /**
         * Content for displaying any actions
         */
        actions?: () => VNode[];
    }> & {
        /**
         * Any content to be displayed in the main section of the app info box (before actions).
         */
        default?: () => VNode[];
        /**
         * Content for displaying an app logo
         */
        logo?: () => VNode[];
        /**
         * Content for displaying any actions
         */
        actions?: () => VNode[];
    };
    refs: {};
    attrs: Partial<{}>;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<{
    /**
     * The heading tag to use for the title.
     */
    headingTag?: "h1" | "h2" | "h3" | "h4" | "h5" | "h6";
    /**
     * The title of the app info box.
     */
    title: string;
    /**
     * The description of the app info box.
     */
    description: string;
    /**
     * The error code of the app info box.
     */
    code: string;
    /**
     * The annotation of the app info box.
     */
    annotation: string;
}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
    /**
     * The heading tag to use for the title.
     */
    headingTag?: "h1" | "h2" | "h3" | "h4" | "h5" | "h6";
    /**
     * The title of the app info box.
     */
    title: string;
    /**
     * The description of the app info box.
     */
    description: string;
    /**
     * The error code of the app info box.
     */
    code: string;
    /**
     * The annotation of the app info box.
     */
    annotation: string;
}> & Readonly<{}>, {
    headingTag: "h1" | "h2" | "h3" | "h4" | "h5" | "h6";
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
