declare function __VLS_template(): {
    slots: Readonly<{
        /**
         * Content for building a navigation menu. Use `AppNavigationBarItem` components to build one
         */
        default?: () => VNode[];
        /**
         * Content to be displayed before the navigation items. Usually logo.
         */
        start?: () => VNode[];
        /**
         * Content to be displayed after the navigation items. Usually user menu.
         */
        end?: () => VNode[];
    }> & {
        /**
         * Content for building a navigation menu. Use `AppNavigationBarItem` components to build one
         */
        default?: () => VNode[];
        /**
         * Content to be displayed before the navigation items. Usually logo.
         */
        start?: () => VNode[];
        /**
         * Content to be displayed after the navigation items. Usually user menu.
         */
        end?: () => VNode[];
    };
    refs: {};
    attrs: Partial<{}>;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<globalThis.ExtractPropTypes<{
    /**
     * Display only the navigation bar menu items.
     */
    raw: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Display the navigation bar in full width.
     * Requires setting `--container-max-width` CSS variable on a root element.
     */
    fullWidth: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @deprecated just use navbar items
     */
    onItemClick: {
        type: FunctionConstructor;
        default: undefined;
    };
}>, {
    isMenu: boolean;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<globalThis.ExtractPropTypes<{
    /**
     * Display only the navigation bar menu items.
     */
    raw: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Display the navigation bar in full width.
     * Requires setting `--container-max-width` CSS variable on a root element.
     */
    fullWidth: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @deprecated just use navbar items
     */
    onItemClick: {
        type: FunctionConstructor;
        default: undefined;
    };
}>> & Readonly<{}>, {
    raw: boolean;
    fullWidth: boolean;
    onItemClick: Function;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
