import { RouteLocationRaw } from '../types';
declare function __VLS_template(): {
    slots: Readonly<{
        /**
         * Content for building a navigation menu. Use `AppNavigationBarItem` components to build one. Can be nested to create submenus.
         */
        default?: (props?: any) => VNode[];
    }> & {
        /**
         * Content for building a navigation menu. Use `AppNavigationBarItem` components to build one. Can be nested to create submenus.
         */
        default?: (props?: any) => VNode[];
    };
    refs: {};
    attrs: Partial<{}>;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<{
    /**
     * Is the item available?
     */
    disabled?: boolean;
    /**
     * Is the item currently selected?
     */
    selected?: boolean;
    /**
     * Name of the item.
     */
    name?: string;
    /**
     * Value of the item.
     */
    value?: string;
    /**
     * Label of the item.
     */
    label?: string;
    /**
     * Icon of the item.
     */
    icon?: string;
    /**
     * Function to call when the item is clicked.
     */
    onClick?: () => void;
    /**
     * Route location/URL to navigate to.
     */
    href?: RouteLocationRaw;
}, {
    isMenu: boolean;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
    /**
     * Is the item available?
     */
    disabled?: boolean;
    /**
     * Is the item currently selected?
     */
    selected?: boolean;
    /**
     * Name of the item.
     */
    name?: string;
    /**
     * Value of the item.
     */
    value?: string;
    /**
     * Label of the item.
     */
    label?: string;
    /**
     * Icon of the item.
     */
    icon?: string;
    /**
     * Function to call when the item is clicked.
     */
    onClick?: () => void;
    /**
     * Route location/URL to navigate to.
     */
    href?: RouteLocationRaw;
}> & Readonly<{}>, {
    disabled: boolean;
    selected: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
