import { RouteLocationRaw } from '../types';
declare function __VLS_template(): {
    slots: Readonly<{
        /**
         * The actions of the notification.
         */
        default: void;
    }> & {
        /**
         * The actions of the notification.
         */
        default: void;
    };
    refs: {};
    attrs: Partial<{}>;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<import('../types').NotificationOptions & {
    id: string;
    timer?: ReturnType<typeof setTimeout>;
} & {
    /**
     * The severity of the notification.
     */
    severity?: "toast" | "inline";
    /**
     * The title of the notification.
     */
    title?: string;
    /**
     * Whether to show the dismiss button.
     */
    showDismissButton?: boolean;
    /**
     * Route location/URL to navigate to.
     */
    href?: RouteLocationRaw;
}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    "click:dismiss": (id: string) => any;
    "mouseover:notification": (id: string) => any;
    "mouseleave:notification": (id: string) => any;
}, string, import('vue').PublicProps, Readonly<import('../types').NotificationOptions & {
    id: string;
    timer?: ReturnType<typeof setTimeout>;
} & {
    /**
     * The severity of the notification.
     */
    severity?: "toast" | "inline";
    /**
     * The title of the notification.
     */
    title?: string;
    /**
     * Whether to show the dismiss button.
     */
    showDismissButton?: boolean;
    /**
     * Route location/URL to navigate to.
     */
    href?: RouteLocationRaw;
}> & Readonly<{
    "onClick:dismiss"?: ((id: string) => any) | undefined;
    "onMouseover:notification"?: ((id: string) => any) | undefined;
    "onMouseleave:notification"?: ((id: string) => any) | undefined;
}>, {
    severity: "toast" | "inline";
    showDismissButton: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
