declare let __VLS_typeProps: {
    /**
     * Icon to display before the text field
     */
    iconBefore?: string;
    /**
     * Whether the icon before the text field is clickable
     */
    iconBeforeClickable?: boolean;
    /**
     * Icon to display after the text field
     */
    iconAfter?: string;
    /**
     * Whether the icon after the text field is clickable
     */
    iconAfterClickable?: boolean;
    /**
     * Whether the text field is in an error state
     */
    error?: boolean;
    /**
     * Whether the text field is in a warning state
     */
    warning?: boolean;
    /**
     * Whether the text field is disabled
     */
    disabled?: boolean;
    /**
     * Whether the text field is clearable. Adds button at the end of the input.
     */
    clearable?: boolean;
    /**
     * If true, it adds button at the end of the input to reveal the password.
     */
    passwordReveal?: boolean;
    /**
     * Debounce time in milliseconds for the input event
     */
    debounce?: number;
};
type __VLS_PublicProps = {
    'modelValue'?: string;
} & typeof __VLS_typeProps;
declare const _default: import('vue').DefineComponent<__VLS_PublicProps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    "update:modelValue": (modelValue: string) => any;
} & {
    "click:iconBefore": () => any;
    "click:iconAfter": () => any;
}, string, import('vue').PublicProps, Readonly<__VLS_PublicProps> & Readonly<{
    "onUpdate:modelValue"?: ((modelValue: string) => any) | undefined;
    "onClick:iconBefore"?: (() => any) | undefined;
    "onClick:iconAfter"?: (() => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
