import { PropType } from 'vue';
export type AppTooltipPosition = 'block-start' | 'block-end' | 'inline-start' | 'inline-end';
declare function __VLS_template(): {
    slots: Readonly<{
        /**
         * Content of the tooltip
         */
        default: () => VNode[];
        /**
         * Content that triggers the tooltip on hover
         */
        activator: () => VNode[];
    }> & {
        /**
         * Content of the tooltip
         */
        default: () => VNode[];
        /**
         * Content that triggers the tooltip on hover
         */
        activator: () => VNode[];
    };
    refs: {};
    attrs: Partial<{}>;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<globalThis.ExtractPropTypes<{
    /**
     * Position of the tooltip relative to the activator element
     * @values block-start, block-end, inline-start, inline-end
     */
    position: {
        type: PropType<AppTooltipPosition>;
        default: string;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<globalThis.ExtractPropTypes<{
    /**
     * Position of the tooltip relative to the activator element
     * @values block-start, block-end, inline-start, inline-end
     */
    position: {
        type: PropType<AppTooltipPosition>;
        default: string;
    };
}>> & Readonly<{}>, {
    position: AppTooltipPosition;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
