import { unref as g, computed as n, toValue as b } from "vue";
import { getUserInitials as I } from "../../utils.js";
function m(t) {
  return typeof t == "function" ? t() : g(t);
}
typeof WorkerGlobalScope < "u" && globalThis instanceof WorkerGlobalScope;
class u extends Error {
}
u.prototype.name = "InvalidTokenError";
function A(t) {
  return decodeURIComponent(atob(t).replace(/(.)/g, (r, o) => {
    let s = o.charCodeAt(0).toString(16).toUpperCase();
    return s.length < 2 && (s = "0" + s), "%" + s;
  }));
}
function w(t) {
  let r = t.replace(/-/g, "+").replace(/_/g, "/");
  switch (r.length % 4) {
    case 0:
      break;
    case 2:
      r += "==";
      break;
    case 3:
      r += "=";
      break;
    default:
      throw new Error("base64 string is not of the correct length");
  }
  try {
    return A(r);
  } catch {
    return atob(r);
  }
}
function y(t, r) {
  if (typeof t != "string")
    throw new u("Invalid token specified: must be a string");
  r || (r = {});
  const o = r.header === !0 ? 0 : 1, s = t.split(".")[o];
  if (typeof s != "string")
    throw new u(`Invalid token specified: missing part #${o + 1}`);
  let c;
  try {
    c = w(s);
  } catch (a) {
    throw new u(`Invalid token specified: invalid base64 for part #${o + 1} (${a.message})`);
  }
  try {
    return JSON.parse(c);
  } catch (a) {
    throw new u(`Invalid token specified: invalid json for part #${o + 1} (${a.message})`);
  }
}
function T(t, r = {}) {
  const {
    onError: o,
    fallbackValue: s = null
  } = r, c = (p, i) => {
    try {
      return y(p, i);
    } catch (f) {
      return o == null || o(f), s;
    }
  }, a = n(() => c(m(t), { header: !0 })), d = n(() => c(m(t)));
  return {
    header: a,
    payload: d
  };
}
function C(t) {
  if (import.meta.server)
    return {
      accessToken: useState("accessToken", () => ""),
      initials: n(() => ""),
      account: n({ get: () => null, set: () => {
      } }),
      fullName: n(() => ""),
      userId: n(() => ""),
      roles: n(() => []),
      isImpersonator: n(() => !1),
      isAdmin: n(() => !1),
      signOut: () => {
      }
    };
  const { $msalInstance: r, $accessTokenRef: o } = useNuxtApp(), s = n(() => g(b(t == null ? void 0 : t.impersonateAs)) ?? void 0), c = n(() => {
    var e;
    return (e = s.value) == null ? void 0 : e.id;
  }), a = n({
    get: () => r.getActiveAccount(),
    set: (e) => r.setActiveAccount(e)
  }), d = n(() => {
    var e, l;
    return ((e = s.value) == null ? void 0 : e.name) ?? ((l = a.value) == null ? void 0 : l.name);
  }), p = n(() => I(d.value)), i = n(() => {
    var e, l;
    return (l = (e = a.value) == null ? void 0 : e.idTokenClaims) == null ? void 0 : l.roles;
  }), f = n(() => {
    var e;
    return (e = i.value) == null ? void 0 : e.includes("ImpersonatorAccess");
  }), v = n(() => {
    var e;
    return (e = i.value) == null ? void 0 : e.includes("AdminAccess");
  }), { payload: h } = T(o), k = n(() => {
    var e;
    return c.value ?? ((e = h.value) == null ? void 0 : e.onpremisessamaccountname);
  });
  return {
    accessToken: o,
    initials: p,
    account: a,
    fullName: d,
    userId: k,
    roles: i,
    isImpersonator: f,
    isAdmin: v,
    signOut: () => {
      r.logoutRedirect();
    }
  };
}
export {
  C as default,
  C as useAuth
};
