import { createServer, Factory, Model } from 'miragejs';
type AnyModels = Record<string, typeof Model>;
type AnyFactories = Record<string, typeof Factory>;
type ServerConfig<TModels extends AnyModels, TFactories extends AnyFactories> = Parameters<typeof createServer<TModels, TFactories>>[0];
export declare const defineMockServer: <TModels extends AnyModels = AnyModels, TFactories extends AnyFactories = AnyFactories>(config: ServerConfig<TModels, TFactories>) => import('miragejs/server').ServerConfig<TModels, TFactories>;
export {};
