import { INITIAL_VIEWPORTS as s } from "@storybook/addon-viewport";
import { withThemeByClassName as r } from "@storybook/addon-themes";
import { a as i, w as e } from "../weightmans-theme-CvGqHYBR.js";
const o = (t) => ({
  components: { story: t },
  setup(a) {
    return { story: t, props: a };
  },
  template: '<div style="margin: 3em; display: flex; justify-content: center; align-items: center;"><story v-bind="props" /></div>'
}), n = r({
  themes: {
    "Weightmans Light": "light",
    "Weightmans Dark": "dark",
    "Weightmans High Contrast Light": "contrastLight",
    "Weightmans High Contrast Dark": "contrastDark"
  },
  defaultTheme: "Weightmans Light"
}), l = {
  parameters: {
    backgrounds: {
      disable: !0
    },
    viewport: {
      viewports: s
    },
    actions: { argTypesRegex: "^on[A-Z].*" },
    controls: {
      matchers: {
        color: /(background|color)$/i,
        date: /Date$/
      }
    },
    darkMode: {
      dark: i,
      light: e,
      darkClass: "dark",
      lightClass: "light",
      classTarget: "html"
    },
    docs: {
      toc: {
        disable: !1,
        title: "On this page"
      },
      toolbar: {
        disable: !0
      },
      canvas: {
        withToolbar: !0
      },
      theme: e
    }
  },
  decorators: [
    o,
    n
  ]
};
export {
  l as default
};
