export declare const light: {
    readonly colorPrimary: "#178E8D";
    readonly colorSecondary: "#178E8D";
    readonly appBg: "#FFFFFF";
    readonly appContentBg: "#FFFFFF";
    readonly appBorderColor: "rgba(0,0,0,0.1)";
    readonly appBorderRadius: 12;
    readonly textColor: "#212a2c";
    readonly textInverseColor: "#FFFFFF";
    readonly barTextColor: "#9E9E9E";
    readonly barSelectedColor: "#585C6D";
    readonly barBg: "#ffffff";
    readonly inputBg: "#ffffff";
    readonly inputBorder: "#585C6D";
    readonly inputTextColor: "#10162F";
    readonly inputBorderRadius: 8;
    readonly base: "light";
    readonly fontBase: "\"Open Sans\", sans-serif";
    readonly fontCode: "monospace";
    readonly brandTitle: "Weightmans UI Components for Vue";
    readonly brandUrl: "https://weightmans.com";
    readonly brandImage: "/assets/weightmans-logo.svg";
    readonly brandTarget: "_self";
    readonly appPreviewBg: string;
    readonly textMutedColor: string;
    readonly barHoverColor: string;
    readonly buttonBg: string;
    readonly buttonBorder: string;
    readonly booleanBg: string;
    readonly booleanSelectedBg: string;
    readonly gridCellSize?: number;
};
export declare const dark: {
    readonly base: "dark";
    readonly colorPrimary: "#2fe0dc";
    readonly colorSecondary: "#2fe0dc";
    readonly appBg: "#212a2c";
    readonly appContentBg: "#212a2c";
    readonly appBorderColor: "rgba(255,255,255,.1)";
    readonly appBorderRadius: 12;
    readonly textColor: "#FFFFFF";
    readonly textInverseColor: "#212a2c";
    readonly barTextColor: "rgba(255,255,255,.8)";
    readonly barSelectedColor: "#2fe0dc";
    readonly barBg: "rgba(255,255,255,.05)";
    readonly inputBg: "#293538";
    readonly inputBorder: "#3f3f3f";
    readonly inputTextColor: "#FFFFFF";
    readonly inputBorderRadius: 8;
    readonly booleanBg: "#212a2c";
    readonly booleanSelectedBg: "#666666";
    readonly buttonBg: "#293538";
    readonly buttonBorder: "#3f3f3f";
    readonly fontBase: "\"Open Sans\", sans-serif";
    readonly fontCode: "monospace";
    readonly brandTitle: "Weightmans UI Components for Vue";
    readonly brandUrl: "https://weightmans.com";
    readonly brandImage: "/assets/weightmans-logo.svg";
    readonly brandTarget: "_self";
    readonly appPreviewBg: string;
    readonly textMutedColor: string;
    readonly barHoverColor: string;
    readonly gridCellSize?: number;
};
