export interface AppAccordionProps {
    /**
     * Text to display in the panel trigger.
     */
    triggerText?: string;
    /**
     * Text to display in the panel content.
     */
    contentText?: string;
    /**
     * Is the panel interactive?
     */
    disabled?: boolean;
}
declare let __VLS_typeProps: AppAccordionProps;
type __VLS_PublicProps = {
    'open'?: boolean;
} & typeof __VLS_typeProps;
declare function __VLS_template(): {
    slots: Readonly<{
        /**
         * Content to be displayed in the panel trigger.
         */
        trigger?: () => VNode[];
        /**
         * Content to be displayed when the panel is open.
         */
        default?: () => VNode[];
    }> & {
        /**
         * Content to be displayed in the panel trigger.
         */
        trigger?: () => VNode[];
        /**
         * Content to be displayed when the panel is open.
         */
        default?: () => VNode[];
    };
    refs: {};
    attrs: Partial<{}>;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<__VLS_PublicProps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    "update:open": (open: boolean) => any;
} & {
    open: () => any;
    close: () => any;
}, string, import('vue').PublicProps, Readonly<__VLS_PublicProps> & Readonly<{
    onOpen?: (() => any) | undefined;
    onClose?: (() => any) | undefined;
    "onUpdate:open"?: ((open: boolean) => any) | undefined;
}>, {
    disabled: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
