import { RouteLocationRaw } from '../types';
declare const _default: import('vue').DefineComponent<globalThis.ExtractPropTypes<{
    /**
     * Initials (2-3 letters) to display as fallback
     */
    initials: {
        type: StringConstructor;
        required: true;
    };
    /**
     * URL of the image to display
     */
    url: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * URL to navigate to when the avatar is clicked
     */
    href: {
        type: PropType<RouteLocationRaw>;
        default: undefined;
    };
    /**
     * Whether the avatar is clickable
     * @deprecated Use `@click` event or `href` link to make it clickable instead
     */
    clickable: {
        type: BooleanConstructor;
        default: boolean;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<globalThis.ExtractPropTypes<{
    /**
     * Initials (2-3 letters) to display as fallback
     */
    initials: {
        type: StringConstructor;
        required: true;
    };
    /**
     * URL of the image to display
     */
    url: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * URL to navigate to when the avatar is clicked
     */
    href: {
        type: PropType<RouteLocationRaw>;
        default: undefined;
    };
    /**
     * Whether the avatar is clickable
     * @deprecated Use `@click` event or `href` link to make it clickable instead
     */
    clickable: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & Readonly<{}>, {
    href: RouteLocationRaw;
    clickable: boolean;
    url: string;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
