declare let __VLS_typeProps: {
    /**
     * Same as native autocomplete options to use in HTML5 validation
     */
    autocomplete?: string;
    /**
     * Whether the checkbox is disabled
     */
    disabled?: boolean;
    /**
     * Whether the value of checkbox is indeterminate / mixed / not known
     */
    indeterminate?: boolean;
    /**
     * Label of the checkbox
     */
    label?: string;
    /**
     * Whether the checkbox is in error state
     */
    error?: boolean;
    /**
     * Whether the checkbox is in warning state
     */
    warning?: boolean;
    /**
     * Unique name of the field
     */
    name?: string;
    /**
     * Whether the checkbox is required
     */
    required?: boolean;
};
type __VLS_PublicProps = {
    modelValue?: string | number | boolean | (string | number | boolean)[];
} & typeof __VLS_typeProps;
declare const _default: import('vue').DefineComponent<__VLS_PublicProps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    "update:modelValue": (modelValue: string | number | boolean | (string | number | boolean)[]) => any;
}, string, import('vue').PublicProps, Readonly<__VLS_PublicProps> & Readonly<{
    "onUpdate:modelValue"?: ((modelValue: string | number | boolean | (string | number | boolean)[]) => any) | undefined;
}>, {
    autocomplete: string;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
