import { RouteLocationRaw } from '../types';
declare function __VLS_template(): {
    slots: Readonly<{
        /**
         * Text or other content inside the chip.
         */
        default?: () => VNode[];
    }> & {
        /**
         * Text or other content inside the chip.
         */
        default?: () => VNode[];
    };
    refs: {};
    attrs: Partial<{}>;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<{
    /**
     * Whether the chip is interactive or not
     * @deprecated Attach `onClick` event, or add `href` prop instead
     */
    interactive?: boolean;
    /**
     * Whether the chip is disabled or not
     */
    disabled?: boolean;
    /**
     * Icon to display before the text
     */
    iconBefore?: string;
    /**
     * Icon to display after the text
     */
    iconAfter?: string;
    /**
     * Link to navigate to when the chip is clicked
     */
    href?: RouteLocationRaw;
}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
    /**
     * Whether the chip is interactive or not
     * @deprecated Attach `onClick` event, or add `href` prop instead
     */
    interactive?: boolean;
    /**
     * Whether the chip is disabled or not
     */
    disabled?: boolean;
    /**
     * Icon to display before the text
     */
    iconBefore?: string;
    /**
     * Icon to display after the text
     */
    iconAfter?: string;
    /**
     * Link to navigate to when the chip is clicked
     */
    href?: RouteLocationRaw;
}> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
