/**
 * Displays friendly relative time from a given date. On hover, displays the full date and time. On print, it replaces the relative time with the full date and time.
 */
export type StringOrNumberOrDate = string | number | Date;
declare const _default: <T extends StringOrNumberOrDate>(__VLS_props: NonNullable<Awaited<typeof __VLS_setup>>["props"], __VLS_ctx?: __VLS_PrettifyLocal<Pick<NonNullable<Awaited<typeof __VLS_setup>>, "attrs" | "emit" | "slots">>, __VLS_expose?: NonNullable<Awaited<typeof __VLS_setup>>["expose"], __VLS_setup?: Promise<{
    props: __VLS_PrettifyLocal<Pick<Partial<{}> & Omit<{} & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps, never>, never> & {
        /**
         * The date to display
         */
        date: T;
        /**
         * Text to display before the date
         */
        prependText?: string;
        /**
         * Text to display after the date
         */
        appendText?: string;
        /**
         * Whether to show an icon before the date
         */
        showIcon?: boolean;
        /**
         * Custom formatter for the date displayed in a tooltip
         */
        dateFormatter?: (date: T) => string;
    }> & import('vue').PublicProps;
    expose(exposed: import('vue').ShallowUnwrapRef<{}>): void;
    attrs: any;
    slots: {};
    emit: {};
}>) => import('vue').VNode & {
    __ctx?: Awaited<typeof __VLS_setup>;
};
export default _default;
type __VLS_PrettifyLocal<T> = {
    [K in keyof T]: T[K];
} & {};
