import { AppButtonVariant } from './AppButton.vue';
import { RouteLocationRaw } from '../types';
declare const _default: import('vue').DefineComponent<{
    /**
     * The heading of the error message
     */
    title?: string | null;
    /**
     * The message of the error
     */
    message?: string | null;
    /**
     * The text of the button. Use `null` to hide the button.
     */
    buttonText?: string | null;
    /**
     * The URL / location to navigate to when the button is clicked
     */
    buttonHref?: RouteLocationRaw;
    /**
     * The variant of the button
     */
    buttonVariant?: AppButtonVariant;
}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    "click:button": () => any;
}, string, import('vue').PublicProps, Readonly<{
    /**
     * The heading of the error message
     */
    title?: string | null;
    /**
     * The message of the error
     */
    message?: string | null;
    /**
     * The text of the button. Use `null` to hide the button.
     */
    buttonText?: string | null;
    /**
     * The URL / location to navigate to when the button is clicked
     */
    buttonHref?: RouteLocationRaw;
    /**
     * The variant of the button
     */
    buttonVariant?: AppButtonVariant;
}> & Readonly<{
    "onClick:button"?: (() => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
