declare function __VLS_template(): {
    slots: {
        default?(_: {}): any;
    };
    refs: {};
    attrs: Partial<{}>;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<{
    /**
     * Label of the input
     */
    label?: string;
    /**
     * ID of the element the label is for
     */
    labelFor?: string;
    /**
     * Error message to display under the input
     */
    error?: string;
    /**
     * Warning message to display under the input
     */
    warning?: string;
    /**
     * Help message to display in a help tooltip next to the label
     */
    help?: string;
    /**
     * Display the required indicator (*) next to the label
     */
    required?: boolean;
}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
    /**
     * Label of the input
     */
    label?: string;
    /**
     * ID of the element the label is for
     */
    labelFor?: string;
    /**
     * Error message to display under the input
     */
    error?: string;
    /**
     * Warning message to display under the input
     */
    warning?: string;
    /**
     * Help message to display in a help tooltip next to the label
     */
    help?: string;
    /**
     * Display the required indicator (*) next to the label
     */
    required?: boolean;
}> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
