declare const _default: import('vue').DefineComponent<{
    /**
     * Is the field required?
     */
    required?: boolean;
    /**
     * Is the field highlighted?
     */
    highlighted?: boolean;
    /**
     * Label of the field.
     */
    label?: string;
    /**
     * Name of the field.
     */
    name?: string;
    /**
     * Does this field have an warning? If so, what warning?
     */
    warning?: string;
    /**
     * Does this field have an error? If so, what error?
     */
    error?: string;
    /**
     * Is this field disabled?
     */
    disabled?: boolean;
    /**
     * Icon of the label.
     */
    labelIcon?: string;
    /**
     * Minimum value of the field.
     */
    min?: number;
    /**
     * Maximum value of the field.
     */
    max?: number;
    /**
     * Step of the field.
     */
    step?: number;
    /**
     * Info text displayed inside the tooltip next to the label
     */
    info?: string;
}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
    /**
     * Is the field required?
     */
    required?: boolean;
    /**
     * Is the field highlighted?
     */
    highlighted?: boolean;
    /**
     * Label of the field.
     */
    label?: string;
    /**
     * Name of the field.
     */
    name?: string;
    /**
     * Does this field have an warning? If so, what warning?
     */
    warning?: string;
    /**
     * Does this field have an error? If so, what error?
     */
    error?: string;
    /**
     * Is this field disabled?
     */
    disabled?: boolean;
    /**
     * Icon of the label.
     */
    labelIcon?: string;
    /**
     * Minimum value of the field.
     */
    min?: number;
    /**
     * Maximum value of the field.
     */
    max?: number;
    /**
     * Step of the field.
     */
    step?: number;
    /**
     * Info text displayed inside the tooltip next to the label
     */
    info?: string;
}> & Readonly<{}>, {
    disabled: boolean;
    required: boolean;
    error: string;
    warning: string;
    highlighted: boolean;
    step: number;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
