export type AppSelectFieldOptions = {
    name: string;
    value: string;
}[];
declare const _default: <T extends string | string[]>(__VLS_props: NonNullable<Awaited<typeof __VLS_setup>>["props"], __VLS_ctx?: __VLS_PrettifyLocal<Pick<NonNullable<Awaited<typeof __VLS_setup>>, "attrs" | "emit" | "slots">>, __VLS_expose?: NonNullable<Awaited<typeof __VLS_setup>>["expose"], __VLS_setup?: Promise<{
    props: __VLS_PrettifyLocal<Pick<Partial<{}> & Omit<{
        readonly "onUpdate:modelValue"?: ((modelValue: T) => any) | undefined;
    } & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps, never>, "onUpdate:modelValue"> & ({
        modelValue?: T;
    } & {
        /**
         * List of items to be displayed
         */
        items?: AppSelectFieldOptions;
        /**
         * Name of the field
         */
        name?: string;
        /**
         * Does this field have an warning? If so, what warning?
         */
        warning?: boolean;
        /**
         * Does this field have an error? If so, what error?
         */
        error?: boolean;
        /**
         * Whether the field is disabled
         */
        disabled?: boolean;
        /**
         * Placeholder text displayed when no option is selected
         */
        placeholder?: string;
        /**
         * Icon to display before the select field
         */
        icon?: string;
        /**
         * Whether the select field can have multiple values
         */
        multiple?: boolean;
        /**
         * Whether the dropdown content is scrollable
         */
        scrollable?: boolean;
        /**
         * Maximum height of the dropdown content
         */
        maxHeight?: string | number;
    })> & import('vue').PublicProps;
    expose(exposed: import('vue').ShallowUnwrapRef<{}>): void;
    attrs: any;
    slots: Readonly<{
        /**
         * Slot for the trigger button
         */
        trigger: {
            value: T;
        };
    }> & {
        /**
         * Slot for the trigger button
         */
        trigger: {
            value: T;
        };
    };
    emit: {
        'update:modelValue': [modelValue: T];
    };
}>) => import('vue').VNode & {
    __ctx?: Awaited<typeof __VLS_setup>;
};
export default _default;
type __VLS_PrettifyLocal<T> = {
    [K in keyof T]: T[K];
} & {};
