declare const _default: import('vue').DefineComponent<{
    /**
     * The minimum value of the slider
     */
    min?: number;
    /**
     * The maximum value of the slider
     */
    max?: number;
    /**
     * The step between each value of the slider
     */
    step?: number;
    /**
     * Custom formatter function to display the value
     * @param value The value to format
     */
    customFormatter?: (value: number) => string;
    /**
     * Whether the slider is disabled
     */
    disabled?: boolean;
}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
    /**
     * The minimum value of the slider
     */
    min?: number;
    /**
     * The maximum value of the slider
     */
    max?: number;
    /**
     * The step between each value of the slider
     */
    step?: number;
    /**
     * Custom formatter function to display the value
     * @param value The value to format
     */
    customFormatter?: (value: number) => string;
    /**
     * Whether the slider is disabled
     */
    disabled?: boolean;
}> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
