declare const _default: import('vue').DefineComponent<{
    /**
     * Whether the value needs to be filled out
     */
    required?: boolean;
    /**
     * Is the switch box highlighted?
     */
    highlighted?: boolean;
    /**
     * Label of the switch box
     */
    label?: string;
    /**
     * Name of the switch box
     */
    name?: string;
    /**
     * Does this field have an warning? If so, what warning?
     */
    warning?: string;
    /**
     * Does this field have an error? If so, what error?
     */
    error?: string;
    /**
     * Is this field disabled?
     */
    disabled?: boolean;
    /**
     * Icon prepended before label from Material Symbols library
     */
    labelIcon?: string;
    /**
     * Text displayed on the button with `true` value
     */
    trueText?: string;
    /**
     * Text displayed on the button with `false` value
     */
    falseText?: string;
    /**
     * Info text displayed inside the tooltip next to the label
     */
    info?: string;
}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
    /**
     * Whether the value needs to be filled out
     */
    required?: boolean;
    /**
     * Is the switch box highlighted?
     */
    highlighted?: boolean;
    /**
     * Label of the switch box
     */
    label?: string;
    /**
     * Name of the switch box
     */
    name?: string;
    /**
     * Does this field have an warning? If so, what warning?
     */
    warning?: string;
    /**
     * Does this field have an error? If so, what error?
     */
    error?: string;
    /**
     * Is this field disabled?
     */
    disabled?: boolean;
    /**
     * Icon prepended before label from Material Symbols library
     */
    labelIcon?: string;
    /**
     * Text displayed on the button with `true` value
     */
    trueText?: string;
    /**
     * Text displayed on the button with `false` value
     */
    falseText?: string;
    /**
     * Info text displayed inside the tooltip next to the label
     */
    info?: string;
}> & Readonly<{}>, {
    disabled: boolean;
    required: boolean;
    error: string;
    warning: string;
    highlighted: boolean;
    trueText: string;
    falseText: string;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
