import { readFile as bt } from "node:fs/promises";
import { homedir as Sr } from "node:os";
import { resolve as Re } from "node:path";
import { env as se, cwd as Tt } from "node:process";
import { useNuxt as Rt, defineNuxtModule as Ft, createResolver as Ee, addTypeTemplate as mr, addPlugin as Fe, addImports as gr, addComponent as Ir, addImportsSources as wr, addVitePlugin as kt, addRouteMiddleware as Ot, addTemplate as Ct, addPluginTemplate as Ut } from "@nuxt/kit";
import "node:buffer";
import "node:child_process";
import jt from "child_process";
import br from "path";
import vr from "fs";
import { fileURLToPath as _t } from "node:url";
import Mt from "assert";
import Nt from "events";
import "node:fs";
import vt from "stream";
import { debuglog as $t } from "node:util";
var pe = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {};
function ii(n) {
  return n && n.__esModule && Object.prototype.hasOwnProperty.call(n, "default") ? n.default : n;
}
var he = { exports: {} }, Ce, Br;
function Dt() {
  if (Br) return Ce;
  Br = 1, Ce = c, c.sync = m;
  var n = vr;
  function a(h, f) {
    var o = f.pathExt !== void 0 ? f.pathExt : process.env.PATHEXT;
    if (!o || (o = o.split(";"), o.indexOf("") !== -1))
      return !0;
    for (var s = 0; s < o.length; s++) {
      var g = o[s].toLowerCase();
      if (g && h.substr(-g.length).toLowerCase() === g)
        return !0;
    }
    return !1;
  }
  function y(h, f, o) {
    return !h.isSymbolicLink() && !h.isFile() ? !1 : a(f, o);
  }
  function c(h, f, o) {
    n.stat(h, function(s, g) {
      o(s, s ? !1 : y(g, h, f));
    });
  }
  function m(h, f) {
    return y(n.statSync(h), h, f);
  }
  return Ce;
}
var Ue, Pr;
function Lt() {
  if (Pr) return Ue;
  Pr = 1, Ue = a, a.sync = y;
  var n = vr;
  function a(h, f, o) {
    n.stat(h, function(s, g) {
      o(s, s ? !1 : c(g, f));
    });
  }
  function y(h, f) {
    return c(n.statSync(h), f);
  }
  function c(h, f) {
    return h.isFile() && m(h, f);
  }
  function m(h, f) {
    var o = h.mode, s = h.uid, g = h.gid, p = f.uid !== void 0 ? f.uid : process.getuid && process.getuid(), w = f.gid !== void 0 ? f.gid : process.getgid && process.getgid(), P = parseInt("100", 8), x = parseInt("010", 8), B = parseInt("001", 8), F = P | x, S = o & B || o & x && g === w || o & P && s === p || o & F && p === 0;
    return S;
  }
  return Ue;
}
var je, Tr;
function qt() {
  if (Tr) return je;
  Tr = 1;
  var n;
  process.platform === "win32" || pe.TESTING_WINDOWS ? n = Dt() : n = Lt(), je = a, a.sync = y;
  function a(c, m, h) {
    if (typeof m == "function" && (h = m, m = {}), !h) {
      if (typeof Promise != "function")
        throw new TypeError("callback not provided");
      return new Promise(function(f, o) {
        a(c, m || {}, function(s, g) {
          s ? o(s) : f(g);
        });
      });
    }
    n(c, m || {}, function(f, o) {
      f && (f.code === "EACCES" || m && m.ignoreErrors) && (f = null, o = !1), h(f, o);
    });
  }
  function y(c, m) {
    try {
      return n.sync(c, m || {});
    } catch (h) {
      if (m && m.ignoreErrors || h.code === "EACCES")
        return !1;
      throw h;
    }
  }
  return je;
}
var _e, Rr;
function Gt() {
  if (Rr) return _e;
  Rr = 1;
  const n = process.platform === "win32" || process.env.OSTYPE === "cygwin" || process.env.OSTYPE === "msys", a = br, y = n ? ";" : ":", c = qt(), m = (s) => Object.assign(new Error(`not found: ${s}`), { code: "ENOENT" }), h = (s, g) => {
    const p = g.colon || y, w = s.match(/\//) || n && s.match(/\\/) ? [""] : [
      // windows always checks the cwd first
      ...n ? [process.cwd()] : [],
      ...(g.path || process.env.PATH || /* istanbul ignore next: very unusual */
      "").split(p)
    ], P = n ? g.pathExt || process.env.PATHEXT || ".EXE;.CMD;.BAT;.COM" : "", x = n ? P.split(p) : [""];
    return n && s.indexOf(".") !== -1 && x[0] !== "" && x.unshift(""), {
      pathEnv: w,
      pathExt: x,
      pathExtExe: P
    };
  }, f = (s, g, p) => {
    typeof g == "function" && (p = g, g = {}), g || (g = {});
    const { pathEnv: w, pathExt: P, pathExtExe: x } = h(s, g), B = [], F = (I) => new Promise((T, R) => {
      if (I === w.length)
        return g.all && B.length ? T(B) : R(m(s));
      const C = w[I], j = /^".*"$/.test(C) ? C.slice(1, -1) : C, K = a.join(j, s), Z = !j && /^\.[\\\/]/.test(s) ? s.slice(0, 2) + K : K;
      T(S(Z, I, 0));
    }), S = (I, T, R) => new Promise((C, j) => {
      if (R === P.length)
        return C(F(T + 1));
      const K = P[R];
      c(I + K, { pathExt: x }, (Z, te) => {
        if (!Z && te)
          if (g.all)
            B.push(I + K);
          else
            return C(I + K);
        return C(S(I, T, R + 1));
      });
    });
    return p ? F(0).then((I) => p(null, I), p) : F(0);
  }, o = (s, g) => {
    g = g || {};
    const { pathEnv: p, pathExt: w, pathExtExe: P } = h(s, g), x = [];
    for (let B = 0; B < p.length; B++) {
      const F = p[B], S = /^".*"$/.test(F) ? F.slice(1, -1) : F, I = a.join(S, s), T = !S && /^\.[\\\/]/.test(s) ? s.slice(0, 2) + I : I;
      for (let R = 0; R < w.length; R++) {
        const C = T + w[R];
        try {
          if (c.sync(C, { pathExt: P }))
            if (g.all)
              x.push(C);
            else
              return C;
        } catch {
        }
      }
    }
    if (g.all && x.length)
      return x;
    if (g.nothrow)
      return null;
    throw m(s);
  };
  return _e = f, f.sync = o, _e;
}
var Ie = { exports: {} }, Fr;
function Wt() {
  if (Fr) return Ie.exports;
  Fr = 1;
  const n = (a = {}) => {
    const y = a.env || process.env;
    return (a.platform || process.platform) !== "win32" ? "PATH" : Object.keys(y).reverse().find((m) => m.toUpperCase() === "PATH") || "Path";
  };
  return Ie.exports = n, Ie.exports.default = n, Ie.exports;
}
var Me, kr;
function zt() {
  if (kr) return Me;
  kr = 1;
  const n = br, a = Gt(), y = Wt();
  function c(h, f) {
    const o = h.options.env || process.env, s = process.cwd(), g = h.options.cwd != null, p = g && process.chdir !== void 0 && !process.chdir.disabled;
    if (p)
      try {
        process.chdir(h.options.cwd);
      } catch {
      }
    let w;
    try {
      w = a.sync(h.command, {
        path: o[y({ env: o })],
        pathExt: f ? n.delimiter : void 0
      });
    } catch {
    } finally {
      p && process.chdir(s);
    }
    return w && (w = n.resolve(g ? h.options.cwd : "", w)), w;
  }
  function m(h) {
    return c(h) || c(h, !0);
  }
  return Me = m, Me;
}
var Be = {}, Or;
function Ht() {
  if (Or) return Be;
  Or = 1;
  const n = /([()\][%!^"`<>&|;, *?])/g;
  function a(c) {
    return c = c.replace(n, "^$1"), c;
  }
  function y(c, m) {
    return c = `${c}`, c = c.replace(/(?=(\\+?)?)\1"/g, '$1$1\\"'), c = c.replace(/(?=(\\+?)?)\1$/, "$1$1"), c = `"${c}"`, c = c.replace(n, "^$1"), m && (c = c.replace(n, "^$1")), c;
  }
  return Be.command = a, Be.argument = y, Be;
}
var Ne, Cr;
function Vt() {
  return Cr || (Cr = 1, Ne = /^#!(.*)/), Ne;
}
var $e, Ur;
function Yt() {
  if (Ur) return $e;
  Ur = 1;
  const n = Vt();
  return $e = (a = "") => {
    const y = a.match(n);
    if (!y)
      return null;
    const [c, m] = y[0].replace(/#! ?/, "").split(" "), h = c.split("/").pop();
    return h === "env" ? m : m ? `${h} ${m}` : h;
  }, $e;
}
var De, jr;
function Xt() {
  if (jr) return De;
  jr = 1;
  const n = vr, a = Yt();
  function y(c) {
    const h = Buffer.alloc(150);
    let f;
    try {
      f = n.openSync(c, "r"), n.readSync(f, h, 0, 150, 0), n.closeSync(f);
    } catch {
    }
    return a(h.toString());
  }
  return De = y, De;
}
var Le, _r;
function Jt() {
  if (_r) return Le;
  _r = 1;
  const n = br, a = zt(), y = Ht(), c = Xt(), m = process.platform === "win32", h = /\.(?:com|exe)$/i, f = /node_modules[\\/].bin[\\/][^\\/]+\.cmd$/i;
  function o(p) {
    p.file = a(p);
    const w = p.file && c(p.file);
    return w ? (p.args.unshift(p.file), p.command = w, a(p)) : p.file;
  }
  function s(p) {
    if (!m)
      return p;
    const w = o(p), P = !h.test(w);
    if (p.options.forceShell || P) {
      const x = f.test(w);
      p.command = n.normalize(p.command), p.command = y.command(p.command), p.args = p.args.map((F) => y.argument(F, x));
      const B = [p.command].concat(p.args).join(" ");
      p.args = ["/d", "/s", "/c", `"${B}"`], p.command = process.env.comspec || "cmd.exe", p.options.windowsVerbatimArguments = !0;
    }
    return p;
  }
  function g(p, w, P) {
    w && !Array.isArray(w) && (P = w, w = null), w = w ? w.slice(0) : [], P = Object.assign({}, P);
    const x = {
      command: p,
      args: w,
      options: P,
      file: void 0,
      original: {
        command: p,
        args: w
      }
    };
    return P.shell ? x : s(x);
  }
  return Le = g, Le;
}
var qe, Mr;
function Kt() {
  if (Mr) return qe;
  Mr = 1;
  const n = process.platform === "win32";
  function a(h, f) {
    return Object.assign(new Error(`${f} ${h.command} ENOENT`), {
      code: "ENOENT",
      errno: "ENOENT",
      syscall: `${f} ${h.command}`,
      path: h.command,
      spawnargs: h.args
    });
  }
  function y(h, f) {
    if (!n)
      return;
    const o = h.emit;
    h.emit = function(s, g) {
      if (s === "exit") {
        const p = c(g, f);
        if (p)
          return o.call(h, "error", p);
      }
      return o.apply(h, arguments);
    };
  }
  function c(h, f) {
    return n && h === 1 && !f.file ? a(f.original, "spawn") : null;
  }
  function m(h, f) {
    return n && h === 1 && !f.file ? a(f.original, "spawnSync") : null;
  }
  return qe = {
    hookChildProcess: y,
    verifyENOENT: c,
    verifyENOENTSync: m,
    notFoundError: a
  }, qe;
}
var Nr;
function Zt() {
  if (Nr) return he.exports;
  Nr = 1;
  const n = jt, a = Jt(), y = Kt();
  function c(h, f, o) {
    const s = a(h, f, o), g = n.spawn(s.command, s.args, s.options);
    return y.hookChildProcess(g, s), g;
  }
  function m(h, f, o) {
    const s = a(h, f, o), g = n.spawnSync(s.command, s.args, s.options);
    return g.error = g.error || y.verifyENOENTSync(g.status, s), g;
  }
  return he.exports = c, he.exports.spawn = c, he.exports.sync = m, he.exports._parse = a, he.exports._enoent = y, he.exports;
}
Zt();
var de = { exports: {} }, Ge = { exports: {} }, $r;
function Qt() {
  return $r || ($r = 1, function(n) {
    n.exports = [
      "SIGABRT",
      "SIGALRM",
      "SIGHUP",
      "SIGINT",
      "SIGTERM"
    ], process.platform !== "win32" && n.exports.push(
      "SIGVTALRM",
      "SIGXCPU",
      "SIGXFSZ",
      "SIGUSR2",
      "SIGTRAP",
      "SIGSYS",
      "SIGQUIT",
      "SIGIOT"
      // should detect profiler and enable/disable accordingly.
      // see #21
      // 'SIGPROF'
    ), process.platform === "linux" && n.exports.push(
      "SIGIO",
      "SIGPOLL",
      "SIGPWR",
      "SIGSTKFLT",
      "SIGUNUSED"
    );
  }(Ge)), Ge.exports;
}
var Dr;
function en() {
  if (Dr) return de.exports;
  Dr = 1;
  var n = pe.process;
  const a = function(S) {
    return S && typeof S == "object" && typeof S.removeListener == "function" && typeof S.emit == "function" && typeof S.reallyExit == "function" && typeof S.listeners == "function" && typeof S.kill == "function" && typeof S.pid == "number" && typeof S.on == "function";
  };
  if (!a(n))
    de.exports = function() {
      return function() {
      };
    };
  else {
    var y = Mt, c = Qt(), m = /^win/i.test(n.platform), h = Nt;
    typeof h != "function" && (h = h.EventEmitter);
    var f;
    n.__signal_exit_emitter__ ? f = n.__signal_exit_emitter__ : (f = n.__signal_exit_emitter__ = new h(), f.count = 0, f.emitted = {}), f.infinite || (f.setMaxListeners(1 / 0), f.infinite = !0), de.exports = function(S, I) {
      if (!a(pe.process))
        return function() {
        };
      y.equal(typeof S, "function", "a callback must be provided for exit handler"), p === !1 && w();
      var T = "exit";
      I && I.alwaysLast && (T = "afterexit");
      var R = function() {
        f.removeListener(T, S), f.listeners("exit").length === 0 && f.listeners("afterexit").length === 0 && o();
      };
      return f.on(T, S), R;
    };
    var o = function() {
      !p || !a(pe.process) || (p = !1, c.forEach(function(I) {
        try {
          n.removeListener(I, g[I]);
        } catch {
        }
      }), n.emit = B, n.reallyExit = P, f.count -= 1);
    };
    de.exports.unload = o;
    var s = function(I, T, R) {
      f.emitted[I] || (f.emitted[I] = !0, f.emit(I, T, R));
    }, g = {};
    c.forEach(function(S) {
      g[S] = function() {
        if (a(pe.process)) {
          var T = n.listeners(S);
          T.length === f.count && (o(), s("exit", null, S), s("afterexit", null, S), m && S === "SIGHUP" && (S = "SIGINT"), n.kill(n.pid, S));
        }
      };
    }), de.exports.signals = function() {
      return c;
    };
    var p = !1, w = function() {
      p || !a(pe.process) || (p = !0, f.count += 1, c = c.filter(function(I) {
        try {
          return n.on(I, g[I]), !0;
        } catch {
          return !1;
        }
      }), n.emit = F, n.reallyExit = x);
    };
    de.exports.load = w;
    var P = n.reallyExit, x = function(I) {
      a(pe.process) && (n.exitCode = I || /* istanbul ignore next */
      0, s("exit", n.exitCode, null), s("afterexit", n.exitCode, null), P.call(n, n.exitCode));
    }, B = n.emit, F = function(I, T) {
      if (I === "exit" && a(pe.process)) {
        T !== void 0 && (n.exitCode = T);
        var R = B.apply(this, arguments);
        return s("exit", n.exitCode, null), s("afterexit", n.exitCode, null), R;
      } else
        return B.apply(this, arguments);
    };
  }
  return de.exports;
}
en();
var ge = { exports: {} }, We = {}, Ae = {}, Lr;
function rn() {
  if (Lr) return Ae;
  Lr = 1, Ae.byteLength = o, Ae.toByteArray = g, Ae.fromByteArray = P;
  for (var n = [], a = [], y = typeof Uint8Array < "u" ? Uint8Array : Array, c = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/", m = 0, h = c.length; m < h; ++m)
    n[m] = c[m], a[c.charCodeAt(m)] = m;
  a[45] = 62, a[95] = 63;
  function f(x) {
    var B = x.length;
    if (B % 4 > 0)
      throw new Error("Invalid string. Length must be a multiple of 4");
    var F = x.indexOf("=");
    F === -1 && (F = B);
    var S = F === B ? 0 : 4 - F % 4;
    return [F, S];
  }
  function o(x) {
    var B = f(x), F = B[0], S = B[1];
    return (F + S) * 3 / 4 - S;
  }
  function s(x, B, F) {
    return (B + F) * 3 / 4 - F;
  }
  function g(x) {
    var B, F = f(x), S = F[0], I = F[1], T = new y(s(x, S, I)), R = 0, C = I > 0 ? S - 4 : S, j;
    for (j = 0; j < C; j += 4)
      B = a[x.charCodeAt(j)] << 18 | a[x.charCodeAt(j + 1)] << 12 | a[x.charCodeAt(j + 2)] << 6 | a[x.charCodeAt(j + 3)], T[R++] = B >> 16 & 255, T[R++] = B >> 8 & 255, T[R++] = B & 255;
    return I === 2 && (B = a[x.charCodeAt(j)] << 2 | a[x.charCodeAt(j + 1)] >> 4, T[R++] = B & 255), I === 1 && (B = a[x.charCodeAt(j)] << 10 | a[x.charCodeAt(j + 1)] << 4 | a[x.charCodeAt(j + 2)] >> 2, T[R++] = B >> 8 & 255, T[R++] = B & 255), T;
  }
  function p(x) {
    return n[x >> 18 & 63] + n[x >> 12 & 63] + n[x >> 6 & 63] + n[x & 63];
  }
  function w(x, B, F) {
    for (var S, I = [], T = B; T < F; T += 3)
      S = (x[T] << 16 & 16711680) + (x[T + 1] << 8 & 65280) + (x[T + 2] & 255), I.push(p(S));
    return I.join("");
  }
  function P(x) {
    for (var B, F = x.length, S = F % 3, I = [], T = 16383, R = 0, C = F - S; R < C; R += T)
      I.push(w(x, R, R + T > C ? C : R + T));
    return S === 1 ? (B = x[F - 1], I.push(
      n[B >> 2] + n[B << 4 & 63] + "=="
    )) : S === 2 && (B = (x[F - 2] << 8) + x[F - 1], I.push(
      n[B >> 10] + n[B >> 4 & 63] + n[B << 2 & 63] + "="
    )), I.join("");
  }
  return Ae;
}
var Pe = {};
/*! ieee754. BSD-3-Clause License. Feross Aboukhadijeh <https://feross.org/opensource> */
var qr;
function tn() {
  return qr || (qr = 1, Pe.read = function(n, a, y, c, m) {
    var h, f, o = m * 8 - c - 1, s = (1 << o) - 1, g = s >> 1, p = -7, w = y ? m - 1 : 0, P = y ? -1 : 1, x = n[a + w];
    for (w += P, h = x & (1 << -p) - 1, x >>= -p, p += o; p > 0; h = h * 256 + n[a + w], w += P, p -= 8)
      ;
    for (f = h & (1 << -p) - 1, h >>= -p, p += c; p > 0; f = f * 256 + n[a + w], w += P, p -= 8)
      ;
    if (h === 0)
      h = 1 - g;
    else {
      if (h === s)
        return f ? NaN : (x ? -1 : 1) * (1 / 0);
      f = f + Math.pow(2, c), h = h - g;
    }
    return (x ? -1 : 1) * f * Math.pow(2, h - c);
  }, Pe.write = function(n, a, y, c, m, h) {
    var f, o, s, g = h * 8 - m - 1, p = (1 << g) - 1, w = p >> 1, P = m === 23 ? Math.pow(2, -24) - Math.pow(2, -77) : 0, x = c ? 0 : h - 1, B = c ? 1 : -1, F = a < 0 || a === 0 && 1 / a < 0 ? 1 : 0;
    for (a = Math.abs(a), isNaN(a) || a === 1 / 0 ? (o = isNaN(a) ? 1 : 0, f = p) : (f = Math.floor(Math.log(a) / Math.LN2), a * (s = Math.pow(2, -f)) < 1 && (f--, s *= 2), f + w >= 1 ? a += P / s : a += P * Math.pow(2, 1 - w), a * s >= 2 && (f++, s /= 2), f + w >= p ? (o = 0, f = p) : f + w >= 1 ? (o = (a * s - 1) * Math.pow(2, m), f = f + w) : (o = a * Math.pow(2, w - 1) * Math.pow(2, m), f = 0)); m >= 8; n[y + x] = o & 255, x += B, o /= 256, m -= 8)
      ;
    for (f = f << m | o, g += m; g > 0; n[y + x] = f & 255, x += B, f /= 256, g -= 8)
      ;
    n[y + x - B] |= F * 128;
  }), Pe;
}
/*!
 * The buffer module from node.js, for the browser.
 *
 * @author   Feross Aboukhadijeh <https://feross.org>
 * @license  MIT
 */
var Gr;
function nn() {
  return Gr || (Gr = 1, function(n) {
    const a = rn(), y = tn(), c = typeof Symbol == "function" && typeof Symbol.for == "function" ? Symbol.for("nodejs.util.inspect.custom") : null;
    n.Buffer = o, n.SlowBuffer = T, n.INSPECT_MAX_BYTES = 50;
    const m = 2147483647;
    n.kMaxLength = m, o.TYPED_ARRAY_SUPPORT = h(), !o.TYPED_ARRAY_SUPPORT && typeof console < "u" && typeof console.error == "function" && console.error(
      "This browser lacks typed array (Uint8Array) support which is required by `buffer` v5.x. Use `buffer` v4.x if you require old browser support."
    );
    function h() {
      try {
        const t = new Uint8Array(1), e = { foo: function() {
          return 42;
        } };
        return Object.setPrototypeOf(e, Uint8Array.prototype), Object.setPrototypeOf(t, e), t.foo() === 42;
      } catch {
        return !1;
      }
    }
    Object.defineProperty(o.prototype, "parent", {
      enumerable: !0,
      get: function() {
        if (o.isBuffer(this))
          return this.buffer;
      }
    }), Object.defineProperty(o.prototype, "offset", {
      enumerable: !0,
      get: function() {
        if (o.isBuffer(this))
          return this.byteOffset;
      }
    });
    function f(t) {
      if (t > m)
        throw new RangeError('The value "' + t + '" is invalid for option "size"');
      const e = new Uint8Array(t);
      return Object.setPrototypeOf(e, o.prototype), e;
    }
    function o(t, e, r) {
      if (typeof t == "number") {
        if (typeof e == "string")
          throw new TypeError(
            'The "string" argument must be of type string. Received type number'
          );
        return w(t);
      }
      return s(t, e, r);
    }
    o.poolSize = 8192;
    function s(t, e, r) {
      if (typeof t == "string")
        return P(t, e);
      if (ArrayBuffer.isView(t))
        return B(t);
      if (t == null)
        throw new TypeError(
          "The first argument must be one of type string, Buffer, ArrayBuffer, Array, or Array-like Object. Received type " + typeof t
        );
      if (le(t, ArrayBuffer) || t && le(t.buffer, ArrayBuffer) || typeof SharedArrayBuffer < "u" && (le(t, SharedArrayBuffer) || t && le(t.buffer, SharedArrayBuffer)))
        return F(t, e, r);
      if (typeof t == "number")
        throw new TypeError(
          'The "value" argument must not be of type number. Received type number'
        );
      const i = t.valueOf && t.valueOf();
      if (i != null && i !== t)
        return o.from(i, e, r);
      const u = S(t);
      if (u) return u;
      if (typeof Symbol < "u" && Symbol.toPrimitive != null && typeof t[Symbol.toPrimitive] == "function")
        return o.from(t[Symbol.toPrimitive]("string"), e, r);
      throw new TypeError(
        "The first argument must be one of type string, Buffer, ArrayBuffer, Array, or Array-like Object. Received type " + typeof t
      );
    }
    o.from = function(t, e, r) {
      return s(t, e, r);
    }, Object.setPrototypeOf(o.prototype, Uint8Array.prototype), Object.setPrototypeOf(o, Uint8Array);
    function g(t) {
      if (typeof t != "number")
        throw new TypeError('"size" argument must be of type number');
      if (t < 0)
        throw new RangeError('The value "' + t + '" is invalid for option "size"');
    }
    function p(t, e, r) {
      return g(t), t <= 0 ? f(t) : e !== void 0 ? typeof r == "string" ? f(t).fill(e, r) : f(t).fill(e) : f(t);
    }
    o.alloc = function(t, e, r) {
      return p(t, e, r);
    };
    function w(t) {
      return g(t), f(t < 0 ? 0 : I(t) | 0);
    }
    o.allocUnsafe = function(t) {
      return w(t);
    }, o.allocUnsafeSlow = function(t) {
      return w(t);
    };
    function P(t, e) {
      if ((typeof e != "string" || e === "") && (e = "utf8"), !o.isEncoding(e))
        throw new TypeError("Unknown encoding: " + e);
      const r = R(t, e) | 0;
      let i = f(r);
      const u = i.write(t, e);
      return u !== r && (i = i.slice(0, u)), i;
    }
    function x(t) {
      const e = t.length < 0 ? 0 : I(t.length) | 0, r = f(e);
      for (let i = 0; i < e; i += 1)
        r[i] = t[i] & 255;
      return r;
    }
    function B(t) {
      if (le(t, Uint8Array)) {
        const e = new Uint8Array(t);
        return F(e.buffer, e.byteOffset, e.byteLength);
      }
      return x(t);
    }
    function F(t, e, r) {
      if (e < 0 || t.byteLength < e)
        throw new RangeError('"offset" is outside of buffer bounds');
      if (t.byteLength < e + (r || 0))
        throw new RangeError('"length" is outside of buffer bounds');
      let i;
      return e === void 0 && r === void 0 ? i = new Uint8Array(t) : r === void 0 ? i = new Uint8Array(t, e) : i = new Uint8Array(t, e, r), Object.setPrototypeOf(i, o.prototype), i;
    }
    function S(t) {
      if (o.isBuffer(t)) {
        const e = I(t.length) | 0, r = f(e);
        return r.length === 0 || t.copy(r, 0, 0, e), r;
      }
      if (t.length !== void 0)
        return typeof t.length != "number" || Oe(t.length) ? f(0) : x(t);
      if (t.type === "Buffer" && Array.isArray(t.data))
        return x(t.data);
    }
    function I(t) {
      if (t >= m)
        throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x" + m.toString(16) + " bytes");
      return t | 0;
    }
    function T(t) {
      return +t != t && (t = 0), o.alloc(+t);
    }
    o.isBuffer = function(e) {
      return e != null && e._isBuffer === !0 && e !== o.prototype;
    }, o.compare = function(e, r) {
      if (le(e, Uint8Array) && (e = o.from(e, e.offset, e.byteLength)), le(r, Uint8Array) && (r = o.from(r, r.offset, r.byteLength)), !o.isBuffer(e) || !o.isBuffer(r))
        throw new TypeError(
          'The "buf1", "buf2" arguments must be one of type Buffer or Uint8Array'
        );
      if (e === r) return 0;
      let i = e.length, u = r.length;
      for (let d = 0, v = Math.min(i, u); d < v; ++d)
        if (e[d] !== r[d]) {
          i = e[d], u = r[d];
          break;
        }
      return i < u ? -1 : u < i ? 1 : 0;
    }, o.isEncoding = function(e) {
      switch (String(e).toLowerCase()) {
        case "hex":
        case "utf8":
        case "utf-8":
        case "ascii":
        case "latin1":
        case "binary":
        case "base64":
        case "ucs2":
        case "ucs-2":
        case "utf16le":
        case "utf-16le":
          return !0;
        default:
          return !1;
      }
    }, o.concat = function(e, r) {
      if (!Array.isArray(e))
        throw new TypeError('"list" argument must be an Array of Buffers');
      if (e.length === 0)
        return o.alloc(0);
      let i;
      if (r === void 0)
        for (r = 0, i = 0; i < e.length; ++i)
          r += e[i].length;
      const u = o.allocUnsafe(r);
      let d = 0;
      for (i = 0; i < e.length; ++i) {
        let v = e[i];
        if (le(v, Uint8Array))
          d + v.length > u.length ? (o.isBuffer(v) || (v = o.from(v)), v.copy(u, d)) : Uint8Array.prototype.set.call(
            u,
            v,
            d
          );
        else if (o.isBuffer(v))
          v.copy(u, d);
        else
          throw new TypeError('"list" argument must be an Array of Buffers');
        d += v.length;
      }
      return u;
    };
    function R(t, e) {
      if (o.isBuffer(t))
        return t.length;
      if (ArrayBuffer.isView(t) || le(t, ArrayBuffer))
        return t.byteLength;
      if (typeof t != "string")
        throw new TypeError(
          'The "string" argument must be one of type string, Buffer, or ArrayBuffer. Received type ' + typeof t
        );
      const r = t.length, i = arguments.length > 2 && arguments[2] === !0;
      if (!i && r === 0) return 0;
      let u = !1;
      for (; ; )
        switch (e) {
          case "ascii":
          case "latin1":
          case "binary":
            return r;
          case "utf8":
          case "utf-8":
            return be(t).length;
          case "ucs2":
          case "ucs-2":
          case "utf16le":
          case "utf-16le":
            return r * 2;
          case "hex":
            return r >>> 1;
          case "base64":
            return Se(t).length;
          default:
            if (u)
              return i ? -1 : be(t).length;
            e = ("" + e).toLowerCase(), u = !0;
        }
    }
    o.byteLength = R;
    function C(t, e, r) {
      let i = !1;
      if ((e === void 0 || e < 0) && (e = 0), e > this.length || ((r === void 0 || r > this.length) && (r = this.length), r <= 0) || (r >>>= 0, e >>>= 0, r <= e))
        return "";
      for (t || (t = "utf8"); ; )
        switch (t) {
          case "hex":
            return z(this, e, r);
          case "utf8":
          case "utf-8":
            return q(this, e, r);
          case "ascii":
            return Q(this, e, r);
          case "latin1":
          case "binary":
            return re(this, e, r);
          case "base64":
            return L(this, e, r);
          case "ucs2":
          case "ucs-2":
          case "utf16le":
          case "utf-16le":
            return ne(this, e, r);
          default:
            if (i) throw new TypeError("Unknown encoding: " + t);
            t = (t + "").toLowerCase(), i = !0;
        }
    }
    o.prototype._isBuffer = !0;
    function j(t, e, r) {
      const i = t[e];
      t[e] = t[r], t[r] = i;
    }
    o.prototype.swap16 = function() {
      const e = this.length;
      if (e % 2 !== 0)
        throw new RangeError("Buffer size must be a multiple of 16-bits");
      for (let r = 0; r < e; r += 2)
        j(this, r, r + 1);
      return this;
    }, o.prototype.swap32 = function() {
      const e = this.length;
      if (e % 4 !== 0)
        throw new RangeError("Buffer size must be a multiple of 32-bits");
      for (let r = 0; r < e; r += 4)
        j(this, r, r + 3), j(this, r + 1, r + 2);
      return this;
    }, o.prototype.swap64 = function() {
      const e = this.length;
      if (e % 8 !== 0)
        throw new RangeError("Buffer size must be a multiple of 64-bits");
      for (let r = 0; r < e; r += 8)
        j(this, r, r + 7), j(this, r + 1, r + 6), j(this, r + 2, r + 5), j(this, r + 3, r + 4);
      return this;
    }, o.prototype.toString = function() {
      const e = this.length;
      return e === 0 ? "" : arguments.length === 0 ? q(this, 0, e) : C.apply(this, arguments);
    }, o.prototype.toLocaleString = o.prototype.toString, o.prototype.equals = function(e) {
      if (!o.isBuffer(e)) throw new TypeError("Argument must be a Buffer");
      return this === e ? !0 : o.compare(this, e) === 0;
    }, o.prototype.inspect = function() {
      let e = "";
      const r = n.INSPECT_MAX_BYTES;
      return e = this.toString("hex", 0, r).replace(/(.{2})/g, "$1 ").trim(), this.length > r && (e += " ... "), "<Buffer " + e + ">";
    }, c && (o.prototype[c] = o.prototype.inspect), o.prototype.compare = function(e, r, i, u, d) {
      if (le(e, Uint8Array) && (e = o.from(e, e.offset, e.byteLength)), !o.isBuffer(e))
        throw new TypeError(
          'The "target" argument must be one of type Buffer or Uint8Array. Received type ' + typeof e
        );
      if (r === void 0 && (r = 0), i === void 0 && (i = e ? e.length : 0), u === void 0 && (u = 0), d === void 0 && (d = this.length), r < 0 || i > e.length || u < 0 || d > this.length)
        throw new RangeError("out of range index");
      if (u >= d && r >= i)
        return 0;
      if (u >= d)
        return -1;
      if (r >= i)
        return 1;
      if (r >>>= 0, i >>>= 0, u >>>= 0, d >>>= 0, this === e) return 0;
      let v = d - u, N = i - r;
      const X = Math.min(v, N), Y = this.slice(u, d), J = e.slice(r, i);
      for (let W = 0; W < X; ++W)
        if (Y[W] !== J[W]) {
          v = Y[W], N = J[W];
          break;
        }
      return v < N ? -1 : N < v ? 1 : 0;
    };
    function K(t, e, r, i, u) {
      if (t.length === 0) return -1;
      if (typeof r == "string" ? (i = r, r = 0) : r > 2147483647 ? r = 2147483647 : r < -2147483648 && (r = -2147483648), r = +r, Oe(r) && (r = u ? 0 : t.length - 1), r < 0 && (r = t.length + r), r >= t.length) {
        if (u) return -1;
        r = t.length - 1;
      } else if (r < 0)
        if (u) r = 0;
        else return -1;
      if (typeof e == "string" && (e = o.from(e, i)), o.isBuffer(e))
        return e.length === 0 ? -1 : Z(t, e, r, i, u);
      if (typeof e == "number")
        return e = e & 255, typeof Uint8Array.prototype.indexOf == "function" ? u ? Uint8Array.prototype.indexOf.call(t, e, r) : Uint8Array.prototype.lastIndexOf.call(t, e, r) : Z(t, [e], r, i, u);
      throw new TypeError("val must be string, number or Buffer");
    }
    function Z(t, e, r, i, u) {
      let d = 1, v = t.length, N = e.length;
      if (i !== void 0 && (i = String(i).toLowerCase(), i === "ucs2" || i === "ucs-2" || i === "utf16le" || i === "utf-16le")) {
        if (t.length < 2 || e.length < 2)
          return -1;
        d = 2, v /= 2, N /= 2, r /= 2;
      }
      function X(J, W) {
        return d === 1 ? J[W] : J.readUInt16BE(W * d);
      }
      let Y;
      if (u) {
        let J = -1;
        for (Y = r; Y < v; Y++)
          if (X(t, Y) === X(e, J === -1 ? 0 : Y - J)) {
            if (J === -1 && (J = Y), Y - J + 1 === N) return J * d;
          } else
            J !== -1 && (Y -= Y - J), J = -1;
      } else
        for (r + N > v && (r = v - N), Y = r; Y >= 0; Y--) {
          let J = !0;
          for (let W = 0; W < N; W++)
            if (X(t, Y + W) !== X(e, W)) {
              J = !1;
              break;
            }
          if (J) return Y;
        }
      return -1;
    }
    o.prototype.includes = function(e, r, i) {
      return this.indexOf(e, r, i) !== -1;
    }, o.prototype.indexOf = function(e, r, i) {
      return K(this, e, r, i, !0);
    }, o.prototype.lastIndexOf = function(e, r, i) {
      return K(this, e, r, i, !1);
    };
    function te(t, e, r, i) {
      r = Number(r) || 0;
      const u = t.length - r;
      i ? (i = Number(i), i > u && (i = u)) : i = u;
      const d = e.length;
      i > d / 2 && (i = d / 2);
      let v;
      for (v = 0; v < i; ++v) {
        const N = parseInt(e.substr(v * 2, 2), 16);
        if (Oe(N)) return v;
        t[r + v] = N;
      }
      return v;
    }
    function ie(t, e, r, i) {
      return ve(be(e, t.length - r), t, r, i);
    }
    function ce(t, e, r, i) {
      return ve(ke(e), t, r, i);
    }
    function ae(t, e, r, i) {
      return ve(Se(e), t, r, i);
    }
    function H(t, e, r, i) {
      return ve(A(e, t.length - r), t, r, i);
    }
    o.prototype.write = function(e, r, i, u) {
      if (r === void 0)
        u = "utf8", i = this.length, r = 0;
      else if (i === void 0 && typeof r == "string")
        u = r, i = this.length, r = 0;
      else if (isFinite(r))
        r = r >>> 0, isFinite(i) ? (i = i >>> 0, u === void 0 && (u = "utf8")) : (u = i, i = void 0);
      else
        throw new Error(
          "Buffer.write(string, encoding, offset[, length]) is no longer supported"
        );
      const d = this.length - r;
      if ((i === void 0 || i > d) && (i = d), e.length > 0 && (i < 0 || r < 0) || r > this.length)
        throw new RangeError("Attempt to write outside buffer bounds");
      u || (u = "utf8");
      let v = !1;
      for (; ; )
        switch (u) {
          case "hex":
            return te(this, e, r, i);
          case "utf8":
          case "utf-8":
            return ie(this, e, r, i);
          case "ascii":
          case "latin1":
          case "binary":
            return ce(this, e, r, i);
          case "base64":
            return ae(this, e, r, i);
          case "ucs2":
          case "ucs-2":
          case "utf16le":
          case "utf-16le":
            return H(this, e, r, i);
          default:
            if (v) throw new TypeError("Unknown encoding: " + u);
            u = ("" + u).toLowerCase(), v = !0;
        }
    }, o.prototype.toJSON = function() {
      return {
        type: "Buffer",
        data: Array.prototype.slice.call(this._arr || this, 0)
      };
    };
    function L(t, e, r) {
      return e === 0 && r === t.length ? a.fromByteArray(t) : a.fromByteArray(t.slice(e, r));
    }
    function q(t, e, r) {
      r = Math.min(t.length, r);
      const i = [];
      let u = e;
      for (; u < r; ) {
        const d = t[u];
        let v = null, N = d > 239 ? 4 : d > 223 ? 3 : d > 191 ? 2 : 1;
        if (u + N <= r) {
          let X, Y, J, W;
          switch (N) {
            case 1:
              d < 128 && (v = d);
              break;
            case 2:
              X = t[u + 1], (X & 192) === 128 && (W = (d & 31) << 6 | X & 63, W > 127 && (v = W));
              break;
            case 3:
              X = t[u + 1], Y = t[u + 2], (X & 192) === 128 && (Y & 192) === 128 && (W = (d & 15) << 12 | (X & 63) << 6 | Y & 63, W > 2047 && (W < 55296 || W > 57343) && (v = W));
              break;
            case 4:
              X = t[u + 1], Y = t[u + 2], J = t[u + 3], (X & 192) === 128 && (Y & 192) === 128 && (J & 192) === 128 && (W = (d & 15) << 18 | (X & 63) << 12 | (Y & 63) << 6 | J & 63, W > 65535 && W < 1114112 && (v = W));
          }
        }
        v === null ? (v = 65533, N = 1) : v > 65535 && (v -= 65536, i.push(v >>> 10 & 1023 | 55296), v = 56320 | v & 1023), i.push(v), u += N;
      }
      return V(i);
    }
    const D = 4096;
    function V(t) {
      const e = t.length;
      if (e <= D)
        return String.fromCharCode.apply(String, t);
      let r = "", i = 0;
      for (; i < e; )
        r += String.fromCharCode.apply(
          String,
          t.slice(i, i += D)
        );
      return r;
    }
    function Q(t, e, r) {
      let i = "";
      r = Math.min(t.length, r);
      for (let u = e; u < r; ++u)
        i += String.fromCharCode(t[u] & 127);
      return i;
    }
    function re(t, e, r) {
      let i = "";
      r = Math.min(t.length, r);
      for (let u = e; u < r; ++u)
        i += String.fromCharCode(t[u]);
      return i;
    }
    function z(t, e, r) {
      const i = t.length;
      (!e || e < 0) && (e = 0), (!r || r < 0 || r > i) && (r = i);
      let u = "";
      for (let d = e; d < r; ++d)
        u += Bt[t[d]];
      return u;
    }
    function ne(t, e, r) {
      const i = t.slice(e, r);
      let u = "";
      for (let d = 0; d < i.length - 1; d += 2)
        u += String.fromCharCode(i[d] + i[d + 1] * 256);
      return u;
    }
    o.prototype.slice = function(e, r) {
      const i = this.length;
      e = ~~e, r = r === void 0 ? i : ~~r, e < 0 ? (e += i, e < 0 && (e = 0)) : e > i && (e = i), r < 0 ? (r += i, r < 0 && (r = 0)) : r > i && (r = i), r < e && (r = e);
      const u = this.subarray(e, r);
      return Object.setPrototypeOf(u, o.prototype), u;
    };
    function G(t, e, r) {
      if (t % 1 !== 0 || t < 0) throw new RangeError("offset is not uint");
      if (t + e > r) throw new RangeError("Trying to access beyond buffer length");
    }
    o.prototype.readUintLE = o.prototype.readUIntLE = function(e, r, i) {
      e = e >>> 0, r = r >>> 0, i || G(e, r, this.length);
      let u = this[e], d = 1, v = 0;
      for (; ++v < r && (d *= 256); )
        u += this[e + v] * d;
      return u;
    }, o.prototype.readUintBE = o.prototype.readUIntBE = function(e, r, i) {
      e = e >>> 0, r = r >>> 0, i || G(e, r, this.length);
      let u = this[e + --r], d = 1;
      for (; r > 0 && (d *= 256); )
        u += this[e + --r] * d;
      return u;
    }, o.prototype.readUint8 = o.prototype.readUInt8 = function(e, r) {
      return e = e >>> 0, r || G(e, 1, this.length), this[e];
    }, o.prototype.readUint16LE = o.prototype.readUInt16LE = function(e, r) {
      return e = e >>> 0, r || G(e, 2, this.length), this[e] | this[e + 1] << 8;
    }, o.prototype.readUint16BE = o.prototype.readUInt16BE = function(e, r) {
      return e = e >>> 0, r || G(e, 2, this.length), this[e] << 8 | this[e + 1];
    }, o.prototype.readUint32LE = o.prototype.readUInt32LE = function(e, r) {
      return e = e >>> 0, r || G(e, 4, this.length), (this[e] | this[e + 1] << 8 | this[e + 2] << 16) + this[e + 3] * 16777216;
    }, o.prototype.readUint32BE = o.prototype.readUInt32BE = function(e, r) {
      return e = e >>> 0, r || G(e, 4, this.length), this[e] * 16777216 + (this[e + 1] << 16 | this[e + 2] << 8 | this[e + 3]);
    }, o.prototype.readBigUInt64LE = ye(function(e) {
      e = e >>> 0, ue(e, "offset");
      const r = this[e], i = this[e + 7];
      (r === void 0 || i === void 0) && oe(e, this.length - 8);
      const u = r + this[++e] * 2 ** 8 + this[++e] * 2 ** 16 + this[++e] * 2 ** 24, d = this[++e] + this[++e] * 2 ** 8 + this[++e] * 2 ** 16 + i * 2 ** 24;
      return BigInt(u) + (BigInt(d) << BigInt(32));
    }), o.prototype.readBigUInt64BE = ye(function(e) {
      e = e >>> 0, ue(e, "offset");
      const r = this[e], i = this[e + 7];
      (r === void 0 || i === void 0) && oe(e, this.length - 8);
      const u = r * 2 ** 24 + this[++e] * 2 ** 16 + this[++e] * 2 ** 8 + this[++e], d = this[++e] * 2 ** 24 + this[++e] * 2 ** 16 + this[++e] * 2 ** 8 + i;
      return (BigInt(u) << BigInt(32)) + BigInt(d);
    }), o.prototype.readIntLE = function(e, r, i) {
      e = e >>> 0, r = r >>> 0, i || G(e, r, this.length);
      let u = this[e], d = 1, v = 0;
      for (; ++v < r && (d *= 256); )
        u += this[e + v] * d;
      return d *= 128, u >= d && (u -= Math.pow(2, 8 * r)), u;
    }, o.prototype.readIntBE = function(e, r, i) {
      e = e >>> 0, r = r >>> 0, i || G(e, r, this.length);
      let u = r, d = 1, v = this[e + --u];
      for (; u > 0 && (d *= 256); )
        v += this[e + --u] * d;
      return d *= 128, v >= d && (v -= Math.pow(2, 8 * r)), v;
    }, o.prototype.readInt8 = function(e, r) {
      return e = e >>> 0, r || G(e, 1, this.length), this[e] & 128 ? (255 - this[e] + 1) * -1 : this[e];
    }, o.prototype.readInt16LE = function(e, r) {
      e = e >>> 0, r || G(e, 2, this.length);
      const i = this[e] | this[e + 1] << 8;
      return i & 32768 ? i | 4294901760 : i;
    }, o.prototype.readInt16BE = function(e, r) {
      e = e >>> 0, r || G(e, 2, this.length);
      const i = this[e + 1] | this[e] << 8;
      return i & 32768 ? i | 4294901760 : i;
    }, o.prototype.readInt32LE = function(e, r) {
      return e = e >>> 0, r || G(e, 4, this.length), this[e] | this[e + 1] << 8 | this[e + 2] << 16 | this[e + 3] << 24;
    }, o.prototype.readInt32BE = function(e, r) {
      return e = e >>> 0, r || G(e, 4, this.length), this[e] << 24 | this[e + 1] << 16 | this[e + 2] << 8 | this[e + 3];
    }, o.prototype.readBigInt64LE = ye(function(e) {
      e = e >>> 0, ue(e, "offset");
      const r = this[e], i = this[e + 7];
      (r === void 0 || i === void 0) && oe(e, this.length - 8);
      const u = this[e + 4] + this[e + 5] * 2 ** 8 + this[e + 6] * 2 ** 16 + (i << 24);
      return (BigInt(u) << BigInt(32)) + BigInt(r + this[++e] * 2 ** 8 + this[++e] * 2 ** 16 + this[++e] * 2 ** 24);
    }), o.prototype.readBigInt64BE = ye(function(e) {
      e = e >>> 0, ue(e, "offset");
      const r = this[e], i = this[e + 7];
      (r === void 0 || i === void 0) && oe(e, this.length - 8);
      const u = (r << 24) + // Overflow
      this[++e] * 2 ** 16 + this[++e] * 2 ** 8 + this[++e];
      return (BigInt(u) << BigInt(32)) + BigInt(this[++e] * 2 ** 24 + this[++e] * 2 ** 16 + this[++e] * 2 ** 8 + i);
    }), o.prototype.readFloatLE = function(e, r) {
      return e = e >>> 0, r || G(e, 4, this.length), y.read(this, e, !0, 23, 4);
    }, o.prototype.readFloatBE = function(e, r) {
      return e = e >>> 0, r || G(e, 4, this.length), y.read(this, e, !1, 23, 4);
    }, o.prototype.readDoubleLE = function(e, r) {
      return e = e >>> 0, r || G(e, 8, this.length), y.read(this, e, !0, 52, 8);
    }, o.prototype.readDoubleBE = function(e, r) {
      return e = e >>> 0, r || G(e, 8, this.length), y.read(this, e, !1, 52, 8);
    };
    function l(t, e, r, i, u, d) {
      if (!o.isBuffer(t)) throw new TypeError('"buffer" argument must be a Buffer instance');
      if (e > u || e < d) throw new RangeError('"value" argument is out of bounds');
      if (r + i > t.length) throw new RangeError("Index out of range");
    }
    o.prototype.writeUintLE = o.prototype.writeUIntLE = function(e, r, i, u) {
      if (e = +e, r = r >>> 0, i = i >>> 0, !u) {
        const N = Math.pow(2, 8 * i) - 1;
        l(this, e, r, i, N, 0);
      }
      let d = 1, v = 0;
      for (this[r] = e & 255; ++v < i && (d *= 256); )
        this[r + v] = e / d & 255;
      return r + i;
    }, o.prototype.writeUintBE = o.prototype.writeUIntBE = function(e, r, i, u) {
      if (e = +e, r = r >>> 0, i = i >>> 0, !u) {
        const N = Math.pow(2, 8 * i) - 1;
        l(this, e, r, i, N, 0);
      }
      let d = i - 1, v = 1;
      for (this[r + d] = e & 255; --d >= 0 && (v *= 256); )
        this[r + d] = e / v & 255;
      return r + i;
    }, o.prototype.writeUint8 = o.prototype.writeUInt8 = function(e, r, i) {
      return e = +e, r = r >>> 0, i || l(this, e, r, 1, 255, 0), this[r] = e & 255, r + 1;
    }, o.prototype.writeUint16LE = o.prototype.writeUInt16LE = function(e, r, i) {
      return e = +e, r = r >>> 0, i || l(this, e, r, 2, 65535, 0), this[r] = e & 255, this[r + 1] = e >>> 8, r + 2;
    }, o.prototype.writeUint16BE = o.prototype.writeUInt16BE = function(e, r, i) {
      return e = +e, r = r >>> 0, i || l(this, e, r, 2, 65535, 0), this[r] = e >>> 8, this[r + 1] = e & 255, r + 2;
    }, o.prototype.writeUint32LE = o.prototype.writeUInt32LE = function(e, r, i) {
      return e = +e, r = r >>> 0, i || l(this, e, r, 4, 4294967295, 0), this[r + 3] = e >>> 24, this[r + 2] = e >>> 16, this[r + 1] = e >>> 8, this[r] = e & 255, r + 4;
    }, o.prototype.writeUint32BE = o.prototype.writeUInt32BE = function(e, r, i) {
      return e = +e, r = r >>> 0, i || l(this, e, r, 4, 4294967295, 0), this[r] = e >>> 24, this[r + 1] = e >>> 16, this[r + 2] = e >>> 8, this[r + 3] = e & 255, r + 4;
    };
    function b(t, e, r, i, u) {
      fe(e, i, u, t, r, 7);
      let d = Number(e & BigInt(4294967295));
      t[r++] = d, d = d >> 8, t[r++] = d, d = d >> 8, t[r++] = d, d = d >> 8, t[r++] = d;
      let v = Number(e >> BigInt(32) & BigInt(4294967295));
      return t[r++] = v, v = v >> 8, t[r++] = v, v = v >> 8, t[r++] = v, v = v >> 8, t[r++] = v, r;
    }
    function E(t, e, r, i, u) {
      fe(e, i, u, t, r, 7);
      let d = Number(e & BigInt(4294967295));
      t[r + 7] = d, d = d >> 8, t[r + 6] = d, d = d >> 8, t[r + 5] = d, d = d >> 8, t[r + 4] = d;
      let v = Number(e >> BigInt(32) & BigInt(4294967295));
      return t[r + 3] = v, v = v >> 8, t[r + 2] = v, v = v >> 8, t[r + 1] = v, v = v >> 8, t[r] = v, r + 8;
    }
    o.prototype.writeBigUInt64LE = ye(function(e, r = 0) {
      return b(this, e, r, BigInt(0), BigInt("0xffffffffffffffff"));
    }), o.prototype.writeBigUInt64BE = ye(function(e, r = 0) {
      return E(this, e, r, BigInt(0), BigInt("0xffffffffffffffff"));
    }), o.prototype.writeIntLE = function(e, r, i, u) {
      if (e = +e, r = r >>> 0, !u) {
        const X = Math.pow(2, 8 * i - 1);
        l(this, e, r, i, X - 1, -X);
      }
      let d = 0, v = 1, N = 0;
      for (this[r] = e & 255; ++d < i && (v *= 256); )
        e < 0 && N === 0 && this[r + d - 1] !== 0 && (N = 1), this[r + d] = (e / v >> 0) - N & 255;
      return r + i;
    }, o.prototype.writeIntBE = function(e, r, i, u) {
      if (e = +e, r = r >>> 0, !u) {
        const X = Math.pow(2, 8 * i - 1);
        l(this, e, r, i, X - 1, -X);
      }
      let d = i - 1, v = 1, N = 0;
      for (this[r + d] = e & 255; --d >= 0 && (v *= 256); )
        e < 0 && N === 0 && this[r + d + 1] !== 0 && (N = 1), this[r + d] = (e / v >> 0) - N & 255;
      return r + i;
    }, o.prototype.writeInt8 = function(e, r, i) {
      return e = +e, r = r >>> 0, i || l(this, e, r, 1, 127, -128), e < 0 && (e = 255 + e + 1), this[r] = e & 255, r + 1;
    }, o.prototype.writeInt16LE = function(e, r, i) {
      return e = +e, r = r >>> 0, i || l(this, e, r, 2, 32767, -32768), this[r] = e & 255, this[r + 1] = e >>> 8, r + 2;
    }, o.prototype.writeInt16BE = function(e, r, i) {
      return e = +e, r = r >>> 0, i || l(this, e, r, 2, 32767, -32768), this[r] = e >>> 8, this[r + 1] = e & 255, r + 2;
    }, o.prototype.writeInt32LE = function(e, r, i) {
      return e = +e, r = r >>> 0, i || l(this, e, r, 4, 2147483647, -2147483648), this[r] = e & 255, this[r + 1] = e >>> 8, this[r + 2] = e >>> 16, this[r + 3] = e >>> 24, r + 4;
    }, o.prototype.writeInt32BE = function(e, r, i) {
      return e = +e, r = r >>> 0, i || l(this, e, r, 4, 2147483647, -2147483648), e < 0 && (e = 4294967295 + e + 1), this[r] = e >>> 24, this[r + 1] = e >>> 16, this[r + 2] = e >>> 8, this[r + 3] = e & 255, r + 4;
    }, o.prototype.writeBigInt64LE = ye(function(e, r = 0) {
      return b(this, e, r, -BigInt("0x8000000000000000"), BigInt("0x7fffffffffffffff"));
    }), o.prototype.writeBigInt64BE = ye(function(e, r = 0) {
      return E(this, e, r, -BigInt("0x8000000000000000"), BigInt("0x7fffffffffffffff"));
    });
    function k(t, e, r, i, u, d) {
      if (r + i > t.length) throw new RangeError("Index out of range");
      if (r < 0) throw new RangeError("Index out of range");
    }
    function U(t, e, r, i, u) {
      return e = +e, r = r >>> 0, u || k(t, e, r, 4), y.write(t, e, r, i, 23, 4), r + 4;
    }
    o.prototype.writeFloatLE = function(e, r, i) {
      return U(this, e, r, !0, i);
    }, o.prototype.writeFloatBE = function(e, r, i) {
      return U(this, e, r, !1, i);
    };
    function _(t, e, r, i, u) {
      return e = +e, r = r >>> 0, u || k(t, e, r, 8), y.write(t, e, r, i, 52, 8), r + 8;
    }
    o.prototype.writeDoubleLE = function(e, r, i) {
      return _(this, e, r, !0, i);
    }, o.prototype.writeDoubleBE = function(e, r, i) {
      return _(this, e, r, !1, i);
    }, o.prototype.copy = function(e, r, i, u) {
      if (!o.isBuffer(e)) throw new TypeError("argument should be a Buffer");
      if (i || (i = 0), !u && u !== 0 && (u = this.length), r >= e.length && (r = e.length), r || (r = 0), u > 0 && u < i && (u = i), u === i || e.length === 0 || this.length === 0) return 0;
      if (r < 0)
        throw new RangeError("targetStart out of bounds");
      if (i < 0 || i >= this.length) throw new RangeError("Index out of range");
      if (u < 0) throw new RangeError("sourceEnd out of bounds");
      u > this.length && (u = this.length), e.length - r < u - i && (u = e.length - r + i);
      const d = u - i;
      return this === e && typeof Uint8Array.prototype.copyWithin == "function" ? this.copyWithin(r, i, u) : Uint8Array.prototype.set.call(
        e,
        this.subarray(i, u),
        r
      ), d;
    }, o.prototype.fill = function(e, r, i, u) {
      if (typeof e == "string") {
        if (typeof r == "string" ? (u = r, r = 0, i = this.length) : typeof i == "string" && (u = i, i = this.length), u !== void 0 && typeof u != "string")
          throw new TypeError("encoding must be a string");
        if (typeof u == "string" && !o.isEncoding(u))
          throw new TypeError("Unknown encoding: " + u);
        if (e.length === 1) {
          const v = e.charCodeAt(0);
          (u === "utf8" && v < 128 || u === "latin1") && (e = v);
        }
      } else typeof e == "number" ? e = e & 255 : typeof e == "boolean" && (e = Number(e));
      if (r < 0 || this.length < r || this.length < i)
        throw new RangeError("Out of range index");
      if (i <= r)
        return this;
      r = r >>> 0, i = i === void 0 ? this.length : i >>> 0, e || (e = 0);
      let d;
      if (typeof e == "number")
        for (d = r; d < i; ++d)
          this[d] = e;
      else {
        const v = o.isBuffer(e) ? e : o.from(e, u), N = v.length;
        if (N === 0)
          throw new TypeError('The value "' + e + '" is invalid for argument "value"');
        for (d = 0; d < i - r; ++d)
          this[d + r] = v[d % N];
      }
      return this;
    };
    const O = {};
    function M(t, e, r) {
      O[t] = class extends r {
        constructor() {
          super(), Object.defineProperty(this, "message", {
            value: e.apply(this, arguments),
            writable: !0,
            configurable: !0
          }), this.name = `${this.name} [${t}]`, this.stack, delete this.name;
        }
        get code() {
          return t;
        }
        set code(u) {
          Object.defineProperty(this, "code", {
            configurable: !0,
            enumerable: !0,
            value: u,
            writable: !0
          });
        }
        toString() {
          return `${this.name} [${t}]: ${this.message}`;
        }
      };
    }
    M(
      "ERR_BUFFER_OUT_OF_BOUNDS",
      function(t) {
        return t ? `${t} is outside of buffer bounds` : "Attempt to access memory outside buffer bounds";
      },
      RangeError
    ), M(
      "ERR_INVALID_ARG_TYPE",
      function(t, e) {
        return `The "${t}" argument must be of type number. Received type ${typeof e}`;
      },
      TypeError
    ), M(
      "ERR_OUT_OF_RANGE",
      function(t, e, r) {
        let i = `The value of "${t}" is out of range.`, u = r;
        return Number.isInteger(r) && Math.abs(r) > 2 ** 32 ? u = $(String(r)) : typeof r == "bigint" && (u = String(r), (r > BigInt(2) ** BigInt(32) || r < -(BigInt(2) ** BigInt(32))) && (u = $(u)), u += "n"), i += ` It must be ${e}. Received ${u}`, i;
      },
      RangeError
    );
    function $(t) {
      let e = "", r = t.length;
      const i = t[0] === "-" ? 1 : 0;
      for (; r >= i + 4; r -= 3)
        e = `_${t.slice(r - 3, r)}${e}`;
      return `${t.slice(0, r)}${e}`;
    }
    function ee(t, e, r) {
      ue(e, "offset"), (t[e] === void 0 || t[e + r] === void 0) && oe(e, t.length - (r + 1));
    }
    function fe(t, e, r, i, u, d) {
      if (t > r || t < e) {
        const v = typeof e == "bigint" ? "n" : "";
        let N;
        throw e === 0 || e === BigInt(0) ? N = `>= 0${v} and < 2${v} ** ${(d + 1) * 8}${v}` : N = `>= -(2${v} ** ${(d + 1) * 8 - 1}${v}) and < 2 ** ${(d + 1) * 8 - 1}${v}`, new O.ERR_OUT_OF_RANGE("value", N, t);
      }
      ee(i, u, d);
    }
    function ue(t, e) {
      if (typeof t != "number")
        throw new O.ERR_INVALID_ARG_TYPE(e, "number", t);
    }
    function oe(t, e, r) {
      throw Math.floor(t) !== t ? (ue(t, r), new O.ERR_OUT_OF_RANGE("offset", "an integer", t)) : e < 0 ? new O.ERR_BUFFER_OUT_OF_BOUNDS() : new O.ERR_OUT_OF_RANGE(
        "offset",
        `>= 0 and <= ${e}`,
        t
      );
    }
    const me = /[^+/0-9A-Za-z-_]/g;
    function xe(t) {
      if (t = t.split("=")[0], t = t.trim().replace(me, ""), t.length < 2) return "";
      for (; t.length % 4 !== 0; )
        t = t + "=";
      return t;
    }
    function be(t, e) {
      e = e || 1 / 0;
      let r;
      const i = t.length;
      let u = null;
      const d = [];
      for (let v = 0; v < i; ++v) {
        if (r = t.charCodeAt(v), r > 55295 && r < 57344) {
          if (!u) {
            if (r > 56319) {
              (e -= 3) > -1 && d.push(239, 191, 189);
              continue;
            } else if (v + 1 === i) {
              (e -= 3) > -1 && d.push(239, 191, 189);
              continue;
            }
            u = r;
            continue;
          }
          if (r < 56320) {
            (e -= 3) > -1 && d.push(239, 191, 189), u = r;
            continue;
          }
          r = (u - 55296 << 10 | r - 56320) + 65536;
        } else u && (e -= 3) > -1 && d.push(239, 191, 189);
        if (u = null, r < 128) {
          if ((e -= 1) < 0) break;
          d.push(r);
        } else if (r < 2048) {
          if ((e -= 2) < 0) break;
          d.push(
            r >> 6 | 192,
            r & 63 | 128
          );
        } else if (r < 65536) {
          if ((e -= 3) < 0) break;
          d.push(
            r >> 12 | 224,
            r >> 6 & 63 | 128,
            r & 63 | 128
          );
        } else if (r < 1114112) {
          if ((e -= 4) < 0) break;
          d.push(
            r >> 18 | 240,
            r >> 12 & 63 | 128,
            r >> 6 & 63 | 128,
            r & 63 | 128
          );
        } else
          throw new Error("Invalid code point");
      }
      return d;
    }
    function ke(t) {
      const e = [];
      for (let r = 0; r < t.length; ++r)
        e.push(t.charCodeAt(r) & 255);
      return e;
    }
    function A(t, e) {
      let r, i, u;
      const d = [];
      for (let v = 0; v < t.length && !((e -= 2) < 0); ++v)
        r = t.charCodeAt(v), i = r >> 8, u = r % 256, d.push(u), d.push(i);
      return d;
    }
    function Se(t) {
      return a.toByteArray(xe(t));
    }
    function ve(t, e, r, i) {
      let u;
      for (u = 0; u < i && !(u + r >= e.length || u >= t.length); ++u)
        e[u + r] = t[u];
      return u;
    }
    function le(t, e) {
      return t instanceof e || t != null && t.constructor != null && t.constructor.name != null && t.constructor.name === e.name;
    }
    function Oe(t) {
      return t !== t;
    }
    const Bt = function() {
      const t = "0123456789abcdef", e = new Array(256);
      for (let r = 0; r < 16; ++r) {
        const i = r * 16;
        for (let u = 0; u < 16; ++u)
          e[i + u] = t[r] + t[u];
      }
      return e;
    }();
    function ye(t) {
      return typeof BigInt > "u" ? Pt : t;
    }
    function Pt() {
      throw new Error("BigInt not supported");
    }
  }(We)), We;
}
var ze = {}, He = {}, Ve, Wr;
function At() {
  return Wr || (Wr = 1, Ve = function() {
    if (typeof Symbol != "function" || typeof Object.getOwnPropertySymbols != "function")
      return !1;
    if (typeof Symbol.iterator == "symbol")
      return !0;
    var a = {}, y = Symbol("test"), c = Object(y);
    if (typeof y == "string" || Object.prototype.toString.call(y) !== "[object Symbol]" || Object.prototype.toString.call(c) !== "[object Symbol]")
      return !1;
    var m = 42;
    a[y] = m;
    for (y in a)
      return !1;
    if (typeof Object.keys == "function" && Object.keys(a).length !== 0 || typeof Object.getOwnPropertyNames == "function" && Object.getOwnPropertyNames(a).length !== 0)
      return !1;
    var h = Object.getOwnPropertySymbols(a);
    if (h.length !== 1 || h[0] !== y || !Object.prototype.propertyIsEnumerable.call(a, y))
      return !1;
    if (typeof Object.getOwnPropertyDescriptor == "function") {
      var f = Object.getOwnPropertyDescriptor(a, y);
      if (f.value !== m || f.enumerable !== !0)
        return !1;
    }
    return !0;
  }), Ve;
}
var Ye, zr;
function Ar() {
  if (zr) return Ye;
  zr = 1;
  var n = At();
  return Ye = function() {
    return n() && !!Symbol.toStringTag;
  }, Ye;
}
var Xe, Hr;
function on() {
  if (Hr) return Xe;
  Hr = 1;
  var n = typeof Symbol < "u" && Symbol, a = At();
  return Xe = function() {
    return typeof n != "function" || typeof Symbol != "function" || typeof n("foo") != "symbol" || typeof Symbol("bar") != "symbol" ? !1 : a();
  }, Xe;
}
var Je, Vr;
function an() {
  if (Vr) return Je;
  Vr = 1;
  var n = {
    foo: {}
  }, a = Object;
  return Je = function() {
    return { __proto__: n }.foo === n.foo && !({ __proto__: null } instanceof a);
  }, Je;
}
var Ke, Yr;
function un() {
  if (Yr) return Ke;
  Yr = 1;
  var n = "Function.prototype.bind called on incompatible ", a = Object.prototype.toString, y = Math.max, c = "[object Function]", m = function(s, g) {
    for (var p = [], w = 0; w < s.length; w += 1)
      p[w] = s[w];
    for (var P = 0; P < g.length; P += 1)
      p[P + s.length] = g[P];
    return p;
  }, h = function(s, g) {
    for (var p = [], w = g, P = 0; w < s.length; w += 1, P += 1)
      p[P] = s[w];
    return p;
  }, f = function(o, s) {
    for (var g = "", p = 0; p < o.length; p += 1)
      g += o[p], p + 1 < o.length && (g += s);
    return g;
  };
  return Ke = function(s) {
    var g = this;
    if (typeof g != "function" || a.apply(g) !== c)
      throw new TypeError(n + g);
    for (var p = h(arguments, 1), w, P = function() {
      if (this instanceof w) {
        var I = g.apply(
          this,
          m(p, arguments)
        );
        return Object(I) === I ? I : this;
      }
      return g.apply(
        s,
        m(p, arguments)
      );
    }, x = y(0, g.length - p.length), B = [], F = 0; F < x; F++)
      B[F] = "$" + F;
    if (w = Function("binder", "return function (" + f(B, ",") + "){ return binder.apply(this,arguments); }")(P), g.prototype) {
      var S = function() {
      };
      S.prototype = g.prototype, w.prototype = new S(), S.prototype = null;
    }
    return w;
  }, Ke;
}
var Ze, Xr;
function Er() {
  if (Xr) return Ze;
  Xr = 1;
  var n = un();
  return Ze = Function.prototype.bind || n, Ze;
}
var Qe, Jr;
function sn() {
  if (Jr) return Qe;
  Jr = 1;
  var n = Function.prototype.call, a = Object.prototype.hasOwnProperty, y = Er();
  return Qe = y.call(n, a), Qe;
}
var er, Kr;
function we() {
  if (Kr) return er;
  Kr = 1;
  var n, a = SyntaxError, y = Function, c = TypeError, m = function(H) {
    try {
      return y('"use strict"; return (' + H + ").constructor;")();
    } catch {
    }
  }, h = Object.getOwnPropertyDescriptor;
  if (h)
    try {
      h({}, "");
    } catch {
      h = null;
    }
  var f = function() {
    throw new c();
  }, o = h ? function() {
    try {
      return arguments.callee, f;
    } catch {
      try {
        return h(arguments, "callee").get;
      } catch {
        return f;
      }
    }
  }() : f, s = on()(), g = an()(), p = Object.getPrototypeOf || (g ? function(H) {
    return H.__proto__;
  } : null), w = {}, P = typeof Uint8Array > "u" || !p ? n : p(Uint8Array), x = {
    "%AggregateError%": typeof AggregateError > "u" ? n : AggregateError,
    "%Array%": Array,
    "%ArrayBuffer%": typeof ArrayBuffer > "u" ? n : ArrayBuffer,
    "%ArrayIteratorPrototype%": s && p ? p([][Symbol.iterator]()) : n,
    "%AsyncFromSyncIteratorPrototype%": n,
    "%AsyncFunction%": w,
    "%AsyncGenerator%": w,
    "%AsyncGeneratorFunction%": w,
    "%AsyncIteratorPrototype%": w,
    "%Atomics%": typeof Atomics > "u" ? n : Atomics,
    "%BigInt%": typeof BigInt > "u" ? n : BigInt,
    "%BigInt64Array%": typeof BigInt64Array > "u" ? n : BigInt64Array,
    "%BigUint64Array%": typeof BigUint64Array > "u" ? n : BigUint64Array,
    "%Boolean%": Boolean,
    "%DataView%": typeof DataView > "u" ? n : DataView,
    "%Date%": Date,
    "%decodeURI%": decodeURI,
    "%decodeURIComponent%": decodeURIComponent,
    "%encodeURI%": encodeURI,
    "%encodeURIComponent%": encodeURIComponent,
    "%Error%": Error,
    "%eval%": eval,
    // eslint-disable-line no-eval
    "%EvalError%": EvalError,
    "%Float32Array%": typeof Float32Array > "u" ? n : Float32Array,
    "%Float64Array%": typeof Float64Array > "u" ? n : Float64Array,
    "%FinalizationRegistry%": typeof FinalizationRegistry > "u" ? n : FinalizationRegistry,
    "%Function%": y,
    "%GeneratorFunction%": w,
    "%Int8Array%": typeof Int8Array > "u" ? n : Int8Array,
    "%Int16Array%": typeof Int16Array > "u" ? n : Int16Array,
    "%Int32Array%": typeof Int32Array > "u" ? n : Int32Array,
    "%isFinite%": isFinite,
    "%isNaN%": isNaN,
    "%IteratorPrototype%": s && p ? p(p([][Symbol.iterator]())) : n,
    "%JSON%": typeof JSON == "object" ? JSON : n,
    "%Map%": typeof Map > "u" ? n : Map,
    "%MapIteratorPrototype%": typeof Map > "u" || !s || !p ? n : p((/* @__PURE__ */ new Map())[Symbol.iterator]()),
    "%Math%": Math,
    "%Number%": Number,
    "%Object%": Object,
    "%parseFloat%": parseFloat,
    "%parseInt%": parseInt,
    "%Promise%": typeof Promise > "u" ? n : Promise,
    "%Proxy%": typeof Proxy > "u" ? n : Proxy,
    "%RangeError%": RangeError,
    "%ReferenceError%": ReferenceError,
    "%Reflect%": typeof Reflect > "u" ? n : Reflect,
    "%RegExp%": RegExp,
    "%Set%": typeof Set > "u" ? n : Set,
    "%SetIteratorPrototype%": typeof Set > "u" || !s || !p ? n : p((/* @__PURE__ */ new Set())[Symbol.iterator]()),
    "%SharedArrayBuffer%": typeof SharedArrayBuffer > "u" ? n : SharedArrayBuffer,
    "%String%": String,
    "%StringIteratorPrototype%": s && p ? p(""[Symbol.iterator]()) : n,
    "%Symbol%": s ? Symbol : n,
    "%SyntaxError%": a,
    "%ThrowTypeError%": o,
    "%TypedArray%": P,
    "%TypeError%": c,
    "%Uint8Array%": typeof Uint8Array > "u" ? n : Uint8Array,
    "%Uint8ClampedArray%": typeof Uint8ClampedArray > "u" ? n : Uint8ClampedArray,
    "%Uint16Array%": typeof Uint16Array > "u" ? n : Uint16Array,
    "%Uint32Array%": typeof Uint32Array > "u" ? n : Uint32Array,
    "%URIError%": URIError,
    "%WeakMap%": typeof WeakMap > "u" ? n : WeakMap,
    "%WeakRef%": typeof WeakRef > "u" ? n : WeakRef,
    "%WeakSet%": typeof WeakSet > "u" ? n : WeakSet
  };
  if (p)
    try {
      null.error;
    } catch (H) {
      var B = p(p(H));
      x["%Error.prototype%"] = B;
    }
  var F = function H(L) {
    var q;
    if (L === "%AsyncFunction%")
      q = m("async function () {}");
    else if (L === "%GeneratorFunction%")
      q = m("function* () {}");
    else if (L === "%AsyncGeneratorFunction%")
      q = m("async function* () {}");
    else if (L === "%AsyncGenerator%") {
      var D = H("%AsyncGeneratorFunction%");
      D && (q = D.prototype);
    } else if (L === "%AsyncIteratorPrototype%") {
      var V = H("%AsyncGenerator%");
      V && p && (q = p(V.prototype));
    }
    return x[L] = q, q;
  }, S = {
    "%ArrayBufferPrototype%": ["ArrayBuffer", "prototype"],
    "%ArrayPrototype%": ["Array", "prototype"],
    "%ArrayProto_entries%": ["Array", "prototype", "entries"],
    "%ArrayProto_forEach%": ["Array", "prototype", "forEach"],
    "%ArrayProto_keys%": ["Array", "prototype", "keys"],
    "%ArrayProto_values%": ["Array", "prototype", "values"],
    "%AsyncFunctionPrototype%": ["AsyncFunction", "prototype"],
    "%AsyncGenerator%": ["AsyncGeneratorFunction", "prototype"],
    "%AsyncGeneratorPrototype%": ["AsyncGeneratorFunction", "prototype", "prototype"],
    "%BooleanPrototype%": ["Boolean", "prototype"],
    "%DataViewPrototype%": ["DataView", "prototype"],
    "%DatePrototype%": ["Date", "prototype"],
    "%ErrorPrototype%": ["Error", "prototype"],
    "%EvalErrorPrototype%": ["EvalError", "prototype"],
    "%Float32ArrayPrototype%": ["Float32Array", "prototype"],
    "%Float64ArrayPrototype%": ["Float64Array", "prototype"],
    "%FunctionPrototype%": ["Function", "prototype"],
    "%Generator%": ["GeneratorFunction", "prototype"],
    "%GeneratorPrototype%": ["GeneratorFunction", "prototype", "prototype"],
    "%Int8ArrayPrototype%": ["Int8Array", "prototype"],
    "%Int16ArrayPrototype%": ["Int16Array", "prototype"],
    "%Int32ArrayPrototype%": ["Int32Array", "prototype"],
    "%JSONParse%": ["JSON", "parse"],
    "%JSONStringify%": ["JSON", "stringify"],
    "%MapPrototype%": ["Map", "prototype"],
    "%NumberPrototype%": ["Number", "prototype"],
    "%ObjectPrototype%": ["Object", "prototype"],
    "%ObjProto_toString%": ["Object", "prototype", "toString"],
    "%ObjProto_valueOf%": ["Object", "prototype", "valueOf"],
    "%PromisePrototype%": ["Promise", "prototype"],
    "%PromiseProto_then%": ["Promise", "prototype", "then"],
    "%Promise_all%": ["Promise", "all"],
    "%Promise_reject%": ["Promise", "reject"],
    "%Promise_resolve%": ["Promise", "resolve"],
    "%RangeErrorPrototype%": ["RangeError", "prototype"],
    "%ReferenceErrorPrototype%": ["ReferenceError", "prototype"],
    "%RegExpPrototype%": ["RegExp", "prototype"],
    "%SetPrototype%": ["Set", "prototype"],
    "%SharedArrayBufferPrototype%": ["SharedArrayBuffer", "prototype"],
    "%StringPrototype%": ["String", "prototype"],
    "%SymbolPrototype%": ["Symbol", "prototype"],
    "%SyntaxErrorPrototype%": ["SyntaxError", "prototype"],
    "%TypedArrayPrototype%": ["TypedArray", "prototype"],
    "%TypeErrorPrototype%": ["TypeError", "prototype"],
    "%Uint8ArrayPrototype%": ["Uint8Array", "prototype"],
    "%Uint8ClampedArrayPrototype%": ["Uint8ClampedArray", "prototype"],
    "%Uint16ArrayPrototype%": ["Uint16Array", "prototype"],
    "%Uint32ArrayPrototype%": ["Uint32Array", "prototype"],
    "%URIErrorPrototype%": ["URIError", "prototype"],
    "%WeakMapPrototype%": ["WeakMap", "prototype"],
    "%WeakSetPrototype%": ["WeakSet", "prototype"]
  }, I = Er(), T = sn(), R = I.call(Function.call, Array.prototype.concat), C = I.call(Function.apply, Array.prototype.splice), j = I.call(Function.call, String.prototype.replace), K = I.call(Function.call, String.prototype.slice), Z = I.call(Function.call, RegExp.prototype.exec), te = /[^%.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|%$))/g, ie = /\\(\\)?/g, ce = function(L) {
    var q = K(L, 0, 1), D = K(L, -1);
    if (q === "%" && D !== "%")
      throw new a("invalid intrinsic syntax, expected closing `%`");
    if (D === "%" && q !== "%")
      throw new a("invalid intrinsic syntax, expected opening `%`");
    var V = [];
    return j(L, te, function(Q, re, z, ne) {
      V[V.length] = z ? j(ne, ie, "$1") : re || Q;
    }), V;
  }, ae = function(L, q) {
    var D = L, V;
    if (T(S, D) && (V = S[D], D = "%" + V[0] + "%"), T(x, D)) {
      var Q = x[D];
      if (Q === w && (Q = F(D)), typeof Q > "u" && !q)
        throw new c("intrinsic " + L + " exists, but is not available. Please file an issue!");
      return {
        alias: V,
        name: D,
        value: Q
      };
    }
    throw new a("intrinsic " + L + " does not exist!");
  };
  return er = function(L, q) {
    if (typeof L != "string" || L.length === 0)
      throw new c("intrinsic name must be a non-empty string");
    if (arguments.length > 1 && typeof q != "boolean")
      throw new c('"allowMissing" argument must be a boolean');
    if (Z(/^%?[^%]*%?$/, L) === null)
      throw new a("`%` may not be present anywhere but at the beginning and end of the intrinsic name");
    var D = ce(L), V = D.length > 0 ? D[0] : "", Q = ae("%" + V + "%", q), re = Q.name, z = Q.value, ne = !1, G = Q.alias;
    G && (V = G[0], C(D, R([0, 1], G)));
    for (var l = 1, b = !0; l < D.length; l += 1) {
      var E = D[l], k = K(E, 0, 1), U = K(E, -1);
      if ((k === '"' || k === "'" || k === "`" || U === '"' || U === "'" || U === "`") && k !== U)
        throw new a("property names with quotes must have matching quotes");
      if ((E === "constructor" || !b) && (ne = !0), V += "." + E, re = "%" + V + "%", T(x, re))
        z = x[re];
      else if (z != null) {
        if (!(E in z)) {
          if (!q)
            throw new c("base intrinsic for " + L + " exists, but the property is not available.");
          return;
        }
        if (h && l + 1 >= D.length) {
          var _ = h(z, E);
          b = !!_, b && "get" in _ && !("originalValue" in _.get) ? z = _.get : z = z[E];
        } else
          b = T(z, E), z = z[E];
        b && !ne && (x[re] = z);
      }
    }
    return z;
  }, er;
}
var rr = { exports: {} }, tr, Zr;
function Et() {
  if (Zr) return tr;
  Zr = 1;
  var n = we(), a = n("%Object.defineProperty%", !0), y = function() {
    if (a)
      try {
        return a({}, "a", { value: 1 }), !0;
      } catch {
        return !1;
      }
    return !1;
  };
  return y.hasArrayLengthDefineBug = function() {
    if (!y())
      return null;
    try {
      return a([], "length", { value: 1 }).length !== 1;
    } catch {
      return !0;
    }
  }, tr = y, tr;
}
var nr, Qr;
function xr() {
  if (Qr) return nr;
  Qr = 1;
  var n = we(), a = n("%Object.getOwnPropertyDescriptor%", !0);
  if (a)
    try {
      a([], "length");
    } catch {
      a = null;
    }
  return nr = a, nr;
}
var ir, et;
function cn() {
  if (et) return ir;
  et = 1;
  var n = /* @__PURE__ */ Et()(), a = we(), y = n && a("%Object.defineProperty%", !0);
  if (y)
    try {
      y({}, "a", { value: 1 });
    } catch {
      y = !1;
    }
  var c = a("%SyntaxError%"), m = a("%TypeError%"), h = /* @__PURE__ */ xr();
  return ir = function(o, s, g) {
    if (!o || typeof o != "object" && typeof o != "function")
      throw new m("`obj` must be an object or a function`");
    if (typeof s != "string" && typeof s != "symbol")
      throw new m("`property` must be a string or a symbol`");
    if (arguments.length > 3 && typeof arguments[3] != "boolean" && arguments[3] !== null)
      throw new m("`nonEnumerable`, if provided, must be a boolean or null");
    if (arguments.length > 4 && typeof arguments[4] != "boolean" && arguments[4] !== null)
      throw new m("`nonWritable`, if provided, must be a boolean or null");
    if (arguments.length > 5 && typeof arguments[5] != "boolean" && arguments[5] !== null)
      throw new m("`nonConfigurable`, if provided, must be a boolean or null");
    if (arguments.length > 6 && typeof arguments[6] != "boolean")
      throw new m("`loose`, if provided, must be a boolean");
    var p = arguments.length > 3 ? arguments[3] : null, w = arguments.length > 4 ? arguments[4] : null, P = arguments.length > 5 ? arguments[5] : null, x = arguments.length > 6 ? arguments[6] : !1, B = !!h && h(o, s);
    if (y)
      y(o, s, {
        configurable: P === null && B ? B.configurable : !P,
        enumerable: p === null && B ? B.enumerable : !p,
        value: g,
        writable: w === null && B ? B.writable : !w
      });
    else if (x || !p && !w && !P)
      o[s] = g;
    else
      throw new c("This environment does not support defining a property as non-configurable, non-writable, or non-enumerable.");
  }, ir;
}
var or, rt;
function fn() {
  if (rt) return or;
  rt = 1;
  var n = we(), a = /* @__PURE__ */ cn(), y = /* @__PURE__ */ Et()(), c = /* @__PURE__ */ xr(), m = n("%TypeError%"), h = n("%Math.floor%");
  return or = function(o, s) {
    if (typeof o != "function")
      throw new m("`fn` is not a function");
    if (typeof s != "number" || s < 0 || s > 4294967295 || h(s) !== s)
      throw new m("`length` must be a positive 32-bit integer");
    var g = arguments.length > 2 && !!arguments[2], p = !0, w = !0;
    if ("length" in o && c) {
      var P = c(o, "length");
      P && !P.configurable && (p = !1), P && !P.writable && (w = !1);
    }
    return (p || w || !g) && (y ? a(o, "length", s, !0, !0) : a(o, "length", s)), o;
  }, or;
}
var tt;
function xt() {
  return tt || (tt = 1, function(n) {
    var a = Er(), y = we(), c = fn(), m = y("%TypeError%"), h = y("%Function.prototype.apply%"), f = y("%Function.prototype.call%"), o = y("%Reflect.apply%", !0) || a.call(f, h), s = y("%Object.defineProperty%", !0), g = y("%Math.max%");
    if (s)
      try {
        s({}, "a", { value: 1 });
      } catch {
        s = null;
      }
    n.exports = function(P) {
      if (typeof P != "function")
        throw new m("a function is required");
      var x = o(a, f, arguments);
      return c(
        x,
        1 + g(0, P.length - (arguments.length - 1)),
        !0
      );
    };
    var p = function() {
      return o(a, h, arguments);
    };
    s ? s(n.exports, "apply", { value: p }) : n.exports.apply = p;
  }(rr)), rr.exports;
}
var ar, nt;
function St() {
  if (nt) return ar;
  nt = 1;
  var n = we(), a = xt(), y = a(n("String.prototype.indexOf"));
  return ar = function(m, h) {
    var f = n(m, !!h);
    return typeof f == "function" && y(m, ".prototype.") > -1 ? a(f) : f;
  }, ar;
}
var ur, it;
function ln() {
  if (it) return ur;
  it = 1;
  var n = Ar()(), a = St(), y = a("Object.prototype.toString"), c = function(o) {
    return n && o && typeof o == "object" && Symbol.toStringTag in o ? !1 : y(o) === "[object Arguments]";
  }, m = function(o) {
    return c(o) ? !0 : o !== null && typeof o == "object" && typeof o.length == "number" && o.length >= 0 && y(o) !== "[object Array]" && y(o.callee) === "[object Function]";
  }, h = function() {
    return c(arguments);
  }();
  return c.isLegacyArguments = m, ur = h ? c : m, ur;
}
var sr, ot;
function pn() {
  if (ot) return sr;
  ot = 1;
  var n = Object.prototype.toString, a = Function.prototype.toString, y = /^\s*(?:function)?\*/, c = Ar()(), m = Object.getPrototypeOf, h = function() {
    if (!c)
      return !1;
    try {
      return Function("return function*() {}")();
    } catch {
    }
  }, f;
  return sr = function(s) {
    if (typeof s != "function")
      return !1;
    if (y.test(a.call(s)))
      return !0;
    if (!c) {
      var g = n.call(s);
      return g === "[object GeneratorFunction]";
    }
    if (!m)
      return !1;
    if (typeof f > "u") {
      var p = h();
      f = p ? m(p) : !1;
    }
    return m(s) === f;
  }, sr;
}
var cr, at;
function yn() {
  if (at) return cr;
  at = 1;
  var n = Function.prototype.toString, a = typeof Reflect == "object" && Reflect !== null && Reflect.apply, y, c;
  if (typeof a == "function" && typeof Object.defineProperty == "function")
    try {
      y = Object.defineProperty({}, "length", {
        get: function() {
          throw c;
        }
      }), c = {}, a(function() {
        throw 42;
      }, null, y);
    } catch (T) {
      T !== c && (a = null);
    }
  else
    a = null;
  var m = /^\s*class\b/, h = function(R) {
    try {
      var C = n.call(R);
      return m.test(C);
    } catch {
      return !1;
    }
  }, f = function(R) {
    try {
      return h(R) ? !1 : (n.call(R), !0);
    } catch {
      return !1;
    }
  }, o = Object.prototype.toString, s = "[object Object]", g = "[object Function]", p = "[object GeneratorFunction]", w = "[object HTMLAllCollection]", P = "[object HTML document.all class]", x = "[object HTMLCollection]", B = typeof Symbol == "function" && !!Symbol.toStringTag, F = !(0 in [,]), S = function() {
    return !1;
  };
  if (typeof document == "object") {
    var I = document.all;
    o.call(I) === o.call(document.all) && (S = function(R) {
      if ((F || !R) && (typeof R > "u" || typeof R == "object"))
        try {
          var C = o.call(R);
          return (C === w || C === P || C === x || C === s) && R("") == null;
        } catch {
        }
      return !1;
    });
  }
  return cr = a ? function(R) {
    if (S(R))
      return !0;
    if (!R || typeof R != "function" && typeof R != "object")
      return !1;
    try {
      a(R, null, y);
    } catch (C) {
      if (C !== c)
        return !1;
    }
    return !h(R) && f(R);
  } : function(R) {
    if (S(R))
      return !0;
    if (!R || typeof R != "function" && typeof R != "object")
      return !1;
    if (B)
      return f(R);
    if (h(R))
      return !1;
    var C = o.call(R);
    return C !== g && C !== p && !/^\[object HTML/.test(C) ? !1 : f(R);
  }, cr;
}
var fr, ut;
function hn() {
  if (ut) return fr;
  ut = 1;
  var n = yn(), a = Object.prototype.toString, y = Object.prototype.hasOwnProperty, c = function(s, g, p) {
    for (var w = 0, P = s.length; w < P; w++)
      y.call(s, w) && (p == null ? g(s[w], w, s) : g.call(p, s[w], w, s));
  }, m = function(s, g, p) {
    for (var w = 0, P = s.length; w < P; w++)
      p == null ? g(s.charAt(w), w, s) : g.call(p, s.charAt(w), w, s);
  }, h = function(s, g, p) {
    for (var w in s)
      y.call(s, w) && (p == null ? g(s[w], w, s) : g.call(p, s[w], w, s));
  }, f = function(s, g, p) {
    if (!n(g))
      throw new TypeError("iterator must be a function");
    var w;
    arguments.length >= 3 && (w = p), a.call(s) === "[object Array]" ? c(s, g, w) : typeof s == "string" ? m(s, g, w) : h(s, g, w);
  };
  return fr = f, fr;
}
var lr, st;
function dn() {
  if (st) return lr;
  st = 1;
  var n = [
    "BigInt64Array",
    "BigUint64Array",
    "Float32Array",
    "Float64Array",
    "Int16Array",
    "Int32Array",
    "Int8Array",
    "Uint16Array",
    "Uint32Array",
    "Uint8Array",
    "Uint8ClampedArray"
  ], a = typeof globalThis > "u" ? pe : globalThis;
  return lr = function() {
    for (var c = [], m = 0; m < n.length; m++)
      typeof a[n[m]] == "function" && (c[c.length] = n[m]);
    return c;
  }, lr;
}
var pr, ct;
function It() {
  if (ct) return pr;
  ct = 1;
  var n = hn(), a = /* @__PURE__ */ dn(), y = xt(), c = St(), m = /* @__PURE__ */ xr(), h = c("Object.prototype.toString"), f = Ar()(), o = typeof globalThis > "u" ? pe : globalThis, s = a(), g = c("String.prototype.slice"), p = Object.getPrototypeOf, w = c("Array.prototype.indexOf", !0) || function(S, I) {
    for (var T = 0; T < S.length; T += 1)
      if (S[T] === I)
        return T;
    return -1;
  }, P = { __proto__: null };
  f && m && p ? n(s, function(F) {
    var S = new o[F]();
    if (Symbol.toStringTag in S) {
      var I = p(S), T = m(I, Symbol.toStringTag);
      if (!T) {
        var R = p(I);
        T = m(R, Symbol.toStringTag);
      }
      P["$" + F] = y(T.get);
    }
  }) : n(s, function(F) {
    var S = new o[F](), I = S.slice || S.set;
    I && (P["$" + F] = y(I));
  });
  var x = function(S) {
    var I = !1;
    return n(P, function(T, R) {
      if (!I)
        try {
          "$" + T(S) === R && (I = g(R, 1));
        } catch {
        }
    }), I;
  }, B = function(S) {
    var I = !1;
    return n(P, function(T, R) {
      if (!I)
        try {
          T(S), I = g(R, 1);
        } catch {
        }
    }), I;
  };
  return pr = function(S) {
    if (!S || typeof S != "object")
      return !1;
    if (!f) {
      var I = g(h(S), 8, -1);
      return w(s, I) > -1 ? I : I !== "Object" ? !1 : B(S);
    }
    return m ? x(S) : null;
  }, pr;
}
var yr, ft;
function mn() {
  if (ft) return yr;
  ft = 1;
  var n = /* @__PURE__ */ It();
  return yr = function(y) {
    return !!n(y);
  }, yr;
}
var lt;
function gn() {
  return lt || (lt = 1, function(n) {
    var a = ln(), y = pn(), c = /* @__PURE__ */ It(), m = mn();
    function h(A) {
      return A.call.bind(A);
    }
    var f = typeof BigInt < "u", o = typeof Symbol < "u", s = h(Object.prototype.toString), g = h(Number.prototype.valueOf), p = h(String.prototype.valueOf), w = h(Boolean.prototype.valueOf);
    if (f)
      var P = h(BigInt.prototype.valueOf);
    if (o)
      var x = h(Symbol.prototype.valueOf);
    function B(A, Se) {
      if (typeof A != "object")
        return !1;
      try {
        return Se(A), !0;
      } catch {
        return !1;
      }
    }
    n.isArgumentsObject = a, n.isGeneratorFunction = y, n.isTypedArray = m;
    function F(A) {
      return typeof Promise < "u" && A instanceof Promise || A !== null && typeof A == "object" && typeof A.then == "function" && typeof A.catch == "function";
    }
    n.isPromise = F;
    function S(A) {
      return typeof ArrayBuffer < "u" && ArrayBuffer.isView ? ArrayBuffer.isView(A) : m(A) || b(A);
    }
    n.isArrayBufferView = S;
    function I(A) {
      return c(A) === "Uint8Array";
    }
    n.isUint8Array = I;
    function T(A) {
      return c(A) === "Uint8ClampedArray";
    }
    n.isUint8ClampedArray = T;
    function R(A) {
      return c(A) === "Uint16Array";
    }
    n.isUint16Array = R;
    function C(A) {
      return c(A) === "Uint32Array";
    }
    n.isUint32Array = C;
    function j(A) {
      return c(A) === "Int8Array";
    }
    n.isInt8Array = j;
    function K(A) {
      return c(A) === "Int16Array";
    }
    n.isInt16Array = K;
    function Z(A) {
      return c(A) === "Int32Array";
    }
    n.isInt32Array = Z;
    function te(A) {
      return c(A) === "Float32Array";
    }
    n.isFloat32Array = te;
    function ie(A) {
      return c(A) === "Float64Array";
    }
    n.isFloat64Array = ie;
    function ce(A) {
      return c(A) === "BigInt64Array";
    }
    n.isBigInt64Array = ce;
    function ae(A) {
      return c(A) === "BigUint64Array";
    }
    n.isBigUint64Array = ae;
    function H(A) {
      return s(A) === "[object Map]";
    }
    H.working = typeof Map < "u" && H(/* @__PURE__ */ new Map());
    function L(A) {
      return typeof Map > "u" ? !1 : H.working ? H(A) : A instanceof Map;
    }
    n.isMap = L;
    function q(A) {
      return s(A) === "[object Set]";
    }
    q.working = typeof Set < "u" && q(/* @__PURE__ */ new Set());
    function D(A) {
      return typeof Set > "u" ? !1 : q.working ? q(A) : A instanceof Set;
    }
    n.isSet = D;
    function V(A) {
      return s(A) === "[object WeakMap]";
    }
    V.working = typeof WeakMap < "u" && V(/* @__PURE__ */ new WeakMap());
    function Q(A) {
      return typeof WeakMap > "u" ? !1 : V.working ? V(A) : A instanceof WeakMap;
    }
    n.isWeakMap = Q;
    function re(A) {
      return s(A) === "[object WeakSet]";
    }
    re.working = typeof WeakSet < "u" && re(/* @__PURE__ */ new WeakSet());
    function z(A) {
      return re(A);
    }
    n.isWeakSet = z;
    function ne(A) {
      return s(A) === "[object ArrayBuffer]";
    }
    ne.working = typeof ArrayBuffer < "u" && ne(new ArrayBuffer());
    function G(A) {
      return typeof ArrayBuffer > "u" ? !1 : ne.working ? ne(A) : A instanceof ArrayBuffer;
    }
    n.isArrayBuffer = G;
    function l(A) {
      return s(A) === "[object DataView]";
    }
    l.working = typeof ArrayBuffer < "u" && typeof DataView < "u" && l(new DataView(new ArrayBuffer(1), 0, 1));
    function b(A) {
      return typeof DataView > "u" ? !1 : l.working ? l(A) : A instanceof DataView;
    }
    n.isDataView = b;
    var E = typeof SharedArrayBuffer < "u" ? SharedArrayBuffer : void 0;
    function k(A) {
      return s(A) === "[object SharedArrayBuffer]";
    }
    function U(A) {
      return typeof E > "u" ? !1 : (typeof k.working > "u" && (k.working = k(new E())), k.working ? k(A) : A instanceof E);
    }
    n.isSharedArrayBuffer = U;
    function _(A) {
      return s(A) === "[object AsyncFunction]";
    }
    n.isAsyncFunction = _;
    function O(A) {
      return s(A) === "[object Map Iterator]";
    }
    n.isMapIterator = O;
    function M(A) {
      return s(A) === "[object Set Iterator]";
    }
    n.isSetIterator = M;
    function $(A) {
      return s(A) === "[object Generator]";
    }
    n.isGeneratorObject = $;
    function ee(A) {
      return s(A) === "[object WebAssembly.Module]";
    }
    n.isWebAssemblyCompiledModule = ee;
    function fe(A) {
      return B(A, g);
    }
    n.isNumberObject = fe;
    function ue(A) {
      return B(A, p);
    }
    n.isStringObject = ue;
    function oe(A) {
      return B(A, w);
    }
    n.isBooleanObject = oe;
    function me(A) {
      return f && B(A, P);
    }
    n.isBigIntObject = me;
    function xe(A) {
      return o && B(A, x);
    }
    n.isSymbolObject = xe;
    function be(A) {
      return fe(A) || ue(A) || oe(A) || me(A) || xe(A);
    }
    n.isBoxedPrimitive = be;
    function ke(A) {
      return typeof Uint8Array < "u" && (G(A) || U(A));
    }
    n.isAnyArrayBuffer = ke, ["isProxy", "isExternal", "isModuleNamespaceObject"].forEach(function(A) {
      Object.defineProperty(n, A, {
        enumerable: !1,
        value: function() {
          throw new Error(A + " is not supported in userland");
        }
      });
    });
  }(He)), He;
}
var hr, pt;
function wn() {
  return pt || (pt = 1, hr = function(a) {
    return a && typeof a == "object" && typeof a.copy == "function" && typeof a.fill == "function" && typeof a.readUInt8 == "function";
  }), hr;
}
var Te = { exports: {} }, yt;
function bn() {
  return yt || (yt = 1, typeof Object.create == "function" ? Te.exports = function(a, y) {
    y && (a.super_ = y, a.prototype = Object.create(y.prototype, {
      constructor: {
        value: a,
        enumerable: !1,
        writable: !0,
        configurable: !0
      }
    }));
  } : Te.exports = function(a, y) {
    if (y) {
      a.super_ = y;
      var c = function() {
      };
      c.prototype = y.prototype, a.prototype = new c(), a.prototype.constructor = a;
    }
  }), Te.exports;
}
var ht;
function vn() {
  return ht || (ht = 1, function(n) {
    var a = Object.getOwnPropertyDescriptors || function(b) {
      for (var E = Object.keys(b), k = {}, U = 0; U < E.length; U++)
        k[E[U]] = Object.getOwnPropertyDescriptor(b, E[U]);
      return k;
    }, y = /%[sdj%]/g;
    n.format = function(l) {
      if (!j(l)) {
        for (var b = [], E = 0; E < arguments.length; E++)
          b.push(f(arguments[E]));
        return b.join(" ");
      }
      for (var E = 1, k = arguments, U = k.length, _ = String(l).replace(y, function(M) {
        if (M === "%%") return "%";
        if (E >= U) return M;
        switch (M) {
          case "%s":
            return String(k[E++]);
          case "%d":
            return Number(k[E++]);
          case "%j":
            try {
              return JSON.stringify(k[E++]);
            } catch {
              return "[Circular]";
            }
          default:
            return M;
        }
      }), O = k[E]; E < U; O = k[++E])
        T(O) || !ie(O) ? _ += " " + O : _ += " " + f(O);
      return _;
    }, n.deprecate = function(l, b) {
      if (typeof process < "u" && process.noDeprecation === !0)
        return l;
      if (typeof process > "u")
        return function() {
          return n.deprecate(l, b).apply(this, arguments);
        };
      var E = !1;
      function k() {
        if (!E) {
          if (process.throwDeprecation)
            throw new Error(b);
          process.traceDeprecation ? console.trace(b) : console.error(b), E = !0;
        }
        return l.apply(this, arguments);
      }
      return k;
    };
    var c = {}, m = /^$/;
    if (process.env.NODE_DEBUG) {
      var h = process.env.NODE_DEBUG;
      h = h.replace(/[|\\{}()[\]^$+?.]/g, "\\$&").replace(/\*/g, ".*").replace(/,/g, "$|^").toUpperCase(), m = new RegExp("^" + h + "$", "i");
    }
    n.debuglog = function(l) {
      if (l = l.toUpperCase(), !c[l])
        if (m.test(l)) {
          var b = process.pid;
          c[l] = function() {
            var E = n.format.apply(n, arguments);
            console.error("%s %d: %s", l, b, E);
          };
        } else
          c[l] = function() {
          };
      return c[l];
    };
    function f(l, b) {
      var E = {
        seen: [],
        stylize: s
      };
      return arguments.length >= 3 && (E.depth = arguments[2]), arguments.length >= 4 && (E.colors = arguments[3]), I(b) ? E.showHidden = b : b && n._extend(E, b), Z(E.showHidden) && (E.showHidden = !1), Z(E.depth) && (E.depth = 2), Z(E.colors) && (E.colors = !1), Z(E.customInspect) && (E.customInspect = !0), E.colors && (E.stylize = o), p(E, l, E.depth);
    }
    n.inspect = f, f.colors = {
      bold: [1, 22],
      italic: [3, 23],
      underline: [4, 24],
      inverse: [7, 27],
      white: [37, 39],
      grey: [90, 39],
      black: [30, 39],
      blue: [34, 39],
      cyan: [36, 39],
      green: [32, 39],
      magenta: [35, 39],
      red: [31, 39],
      yellow: [33, 39]
    }, f.styles = {
      special: "cyan",
      number: "yellow",
      boolean: "yellow",
      undefined: "grey",
      null: "bold",
      string: "green",
      date: "magenta",
      // "name": intentionally not styling
      regexp: "red"
    };
    function o(l, b) {
      var E = f.styles[b];
      return E ? "\x1B[" + f.colors[E][0] + "m" + l + "\x1B[" + f.colors[E][1] + "m" : l;
    }
    function s(l, b) {
      return l;
    }
    function g(l) {
      var b = {};
      return l.forEach(function(E, k) {
        b[E] = !0;
      }), b;
    }
    function p(l, b, E) {
      if (l.customInspect && b && H(b.inspect) && // Filter out the util module, it's inspect function is special
      b.inspect !== n.inspect && // Also filter out any prototype objects using the circular check.
      !(b.constructor && b.constructor.prototype === b)) {
        var k = b.inspect(E, l);
        return j(k) || (k = p(l, k, E)), k;
      }
      var U = w(l, b);
      if (U)
        return U;
      var _ = Object.keys(b), O = g(_);
      if (l.showHidden && (_ = Object.getOwnPropertyNames(b)), ae(b) && (_.indexOf("message") >= 0 || _.indexOf("description") >= 0))
        return P(b);
      if (_.length === 0) {
        if (H(b)) {
          var M = b.name ? ": " + b.name : "";
          return l.stylize("[Function" + M + "]", "special");
        }
        if (te(b))
          return l.stylize(RegExp.prototype.toString.call(b), "regexp");
        if (ce(b))
          return l.stylize(Date.prototype.toString.call(b), "date");
        if (ae(b))
          return P(b);
      }
      var $ = "", ee = !1, fe = ["{", "}"];
      if (S(b) && (ee = !0, fe = ["[", "]"]), H(b)) {
        var ue = b.name ? ": " + b.name : "";
        $ = " [Function" + ue + "]";
      }
      if (te(b) && ($ = " " + RegExp.prototype.toString.call(b)), ce(b) && ($ = " " + Date.prototype.toUTCString.call(b)), ae(b) && ($ = " " + P(b)), _.length === 0 && (!ee || b.length == 0))
        return fe[0] + $ + fe[1];
      if (E < 0)
        return te(b) ? l.stylize(RegExp.prototype.toString.call(b), "regexp") : l.stylize("[Object]", "special");
      l.seen.push(b);
      var oe;
      return ee ? oe = x(l, b, E, O, _) : oe = _.map(function(me) {
        return B(l, b, E, O, me, ee);
      }), l.seen.pop(), F(oe, $, fe);
    }
    function w(l, b) {
      if (Z(b))
        return l.stylize("undefined", "undefined");
      if (j(b)) {
        var E = "'" + JSON.stringify(b).replace(/^"|"$/g, "").replace(/'/g, "\\'").replace(/\\"/g, '"') + "'";
        return l.stylize(E, "string");
      }
      if (C(b))
        return l.stylize("" + b, "number");
      if (I(b))
        return l.stylize("" + b, "boolean");
      if (T(b))
        return l.stylize("null", "null");
    }
    function P(l) {
      return "[" + Error.prototype.toString.call(l) + "]";
    }
    function x(l, b, E, k, U) {
      for (var _ = [], O = 0, M = b.length; O < M; ++O)
        re(b, String(O)) ? _.push(B(
          l,
          b,
          E,
          k,
          String(O),
          !0
        )) : _.push("");
      return U.forEach(function($) {
        $.match(/^\d+$/) || _.push(B(
          l,
          b,
          E,
          k,
          $,
          !0
        ));
      }), _;
    }
    function B(l, b, E, k, U, _) {
      var O, M, $;
      if ($ = Object.getOwnPropertyDescriptor(b, U) || { value: b[U] }, $.get ? $.set ? M = l.stylize("[Getter/Setter]", "special") : M = l.stylize("[Getter]", "special") : $.set && (M = l.stylize("[Setter]", "special")), re(k, U) || (O = "[" + U + "]"), M || (l.seen.indexOf($.value) < 0 ? (T(E) ? M = p(l, $.value, null) : M = p(l, $.value, E - 1), M.indexOf(`
`) > -1 && (_ ? M = M.split(`
`).map(function(ee) {
        return "  " + ee;
      }).join(`
`).slice(2) : M = `
` + M.split(`
`).map(function(ee) {
        return "   " + ee;
      }).join(`
`))) : M = l.stylize("[Circular]", "special")), Z(O)) {
        if (_ && U.match(/^\d+$/))
          return M;
        O = JSON.stringify("" + U), O.match(/^"([a-zA-Z_][a-zA-Z_0-9]*)"$/) ? (O = O.slice(1, -1), O = l.stylize(O, "name")) : (O = O.replace(/'/g, "\\'").replace(/\\"/g, '"').replace(/(^"|"$)/g, "'"), O = l.stylize(O, "string"));
      }
      return O + ": " + M;
    }
    function F(l, b, E) {
      var k = l.reduce(function(U, _) {
        return _.indexOf(`
`) >= 0, U + _.replace(/\u001b\[\d\d?m/g, "").length + 1;
      }, 0);
      return k > 60 ? E[0] + (b === "" ? "" : b + `
 `) + " " + l.join(`,
  `) + " " + E[1] : E[0] + b + " " + l.join(", ") + " " + E[1];
    }
    n.types = gn();
    function S(l) {
      return Array.isArray(l);
    }
    n.isArray = S;
    function I(l) {
      return typeof l == "boolean";
    }
    n.isBoolean = I;
    function T(l) {
      return l === null;
    }
    n.isNull = T;
    function R(l) {
      return l == null;
    }
    n.isNullOrUndefined = R;
    function C(l) {
      return typeof l == "number";
    }
    n.isNumber = C;
    function j(l) {
      return typeof l == "string";
    }
    n.isString = j;
    function K(l) {
      return typeof l == "symbol";
    }
    n.isSymbol = K;
    function Z(l) {
      return l === void 0;
    }
    n.isUndefined = Z;
    function te(l) {
      return ie(l) && q(l) === "[object RegExp]";
    }
    n.isRegExp = te, n.types.isRegExp = te;
    function ie(l) {
      return typeof l == "object" && l !== null;
    }
    n.isObject = ie;
    function ce(l) {
      return ie(l) && q(l) === "[object Date]";
    }
    n.isDate = ce, n.types.isDate = ce;
    function ae(l) {
      return ie(l) && (q(l) === "[object Error]" || l instanceof Error);
    }
    n.isError = ae, n.types.isNativeError = ae;
    function H(l) {
      return typeof l == "function";
    }
    n.isFunction = H;
    function L(l) {
      return l === null || typeof l == "boolean" || typeof l == "number" || typeof l == "string" || typeof l == "symbol" || // ES6 symbol
      typeof l > "u";
    }
    n.isPrimitive = L, n.isBuffer = wn();
    function q(l) {
      return Object.prototype.toString.call(l);
    }
    function D(l) {
      return l < 10 ? "0" + l.toString(10) : l.toString(10);
    }
    var V = [
      "Jan",
      "Feb",
      "Mar",
      "Apr",
      "May",
      "Jun",
      "Jul",
      "Aug",
      "Sep",
      "Oct",
      "Nov",
      "Dec"
    ];
    function Q() {
      var l = /* @__PURE__ */ new Date(), b = [
        D(l.getHours()),
        D(l.getMinutes()),
        D(l.getSeconds())
      ].join(":");
      return [l.getDate(), V[l.getMonth()], b].join(" ");
    }
    n.log = function() {
      console.log("%s - %s", Q(), n.format.apply(n, arguments));
    }, n.inherits = bn(), n._extend = function(l, b) {
      if (!b || !ie(b)) return l;
      for (var E = Object.keys(b), k = E.length; k--; )
        l[E[k]] = b[E[k]];
      return l;
    };
    function re(l, b) {
      return Object.prototype.hasOwnProperty.call(l, b);
    }
    var z = typeof Symbol < "u" ? Symbol("util.promisify.custom") : void 0;
    n.promisify = function(b) {
      if (typeof b != "function")
        throw new TypeError('The "original" argument must be of type Function');
      if (z && b[z]) {
        var E = b[z];
        if (typeof E != "function")
          throw new TypeError('The "util.promisify.custom" argument must be of type Function');
        return Object.defineProperty(E, z, {
          value: E,
          enumerable: !1,
          writable: !1,
          configurable: !0
        }), E;
      }
      function E() {
        for (var k, U, _ = new Promise(function($, ee) {
          k = $, U = ee;
        }), O = [], M = 0; M < arguments.length; M++)
          O.push(arguments[M]);
        O.push(function($, ee) {
          $ ? U($) : k(ee);
        });
        try {
          b.apply(this, O);
        } catch ($) {
          U($);
        }
        return _;
      }
      return Object.setPrototypeOf(E, Object.getPrototypeOf(b)), z && Object.defineProperty(E, z, {
        value: E,
        enumerable: !1,
        writable: !1,
        configurable: !0
      }), Object.defineProperties(
        E,
        a(b)
      );
    }, n.promisify.custom = z;
    function ne(l, b) {
      if (!l) {
        var E = new Error("Promise was rejected with a falsy value");
        E.reason = l, l = E;
      }
      return b(l);
    }
    function G(l) {
      if (typeof l != "function")
        throw new TypeError('The "original" argument must be of type Function');
      function b() {
        for (var E = [], k = 0; k < arguments.length; k++)
          E.push(arguments[k]);
        var U = E.pop();
        if (typeof U != "function")
          throw new TypeError("The last argument must be of type Function");
        var _ = this, O = function() {
          return U.apply(_, arguments);
        };
        l.apply(this, E).then(
          function(M) {
            process.nextTick(O.bind(null, null, M));
          },
          function(M) {
            process.nextTick(ne.bind(null, M, O));
          }
        );
      }
      return Object.setPrototypeOf(b, Object.getPrototypeOf(l)), Object.defineProperties(
        b,
        a(l)
      ), b;
    }
    n.callbackify = G;
  }(ze)), ze;
}
var dr, dt;
function An() {
  if (dt) return dr;
  dt = 1;
  const { PassThrough: n } = vt;
  return dr = (a) => {
    a = { ...a };
    const { array: y } = a;
    let { encoding: c } = a;
    const m = c === "buffer";
    let h = !1;
    y ? h = !(c || m) : c = c || "utf8", m && (c = null);
    const f = new n({ objectMode: h });
    c && f.setEncoding(c);
    let o = 0;
    const s = [];
    return f.on("data", (g) => {
      s.push(g), h ? o = s.length : o += g.length;
    }), f.getBufferedValue = () => y ? s : m ? Buffer.concat(s, o) : s.join(""), f.getBufferedLength = () => o, f;
  }, dr;
}
var mt;
function En() {
  if (mt) return ge.exports;
  mt = 1;
  const { constants: n } = nn(), a = vt, { promisify: y } = vn(), c = An(), m = y(a.pipeline);
  class h extends Error {
    constructor() {
      super("maxBuffer exceeded"), this.name = "MaxBufferError";
    }
  }
  async function f(o, s) {
    if (!o)
      throw new Error("Expected a stream");
    s = {
      maxBuffer: 1 / 0,
      ...s
    };
    const { maxBuffer: g } = s, p = c(s);
    return await new Promise((w, P) => {
      const x = (B) => {
        B && p.getBufferedLength() <= n.MAX_LENGTH && (B.bufferedData = p.getBufferedValue()), P(B);
      };
      (async () => {
        try {
          await m(o, p), w();
        } catch (B) {
          x(B);
        }
      })(), p.on("data", () => {
        p.getBufferedLength() > g && x(new h());
      });
    }), p.getBufferedValue();
  }
  return ge.exports = f, ge.exports.buffer = (o, s) => f(o, { ...s, encoding: "buffer" }), ge.exports.array = (o, s) => f(o, { ...s, array: !0 }), ge.exports.MaxBufferError = h, ge.exports;
}
En();
const xn = (async () => {
})().constructor.prototype;
["then", "catch", "finally"].map((n) => [
  n,
  Reflect.getOwnPropertyDescriptor(xn, n)
]);
$t("execa").enabled;
function Sn(n, a = Rt()) {
  a.hook("devtools:customTabs", async (y) => {
    typeof n == "function" && (n = await n()), y.push(n);
  });
}
const In = `<!DOCTYPE html>
<html lang="en" xml:lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Starting... | Weightmans UI App</title>
    <meta content="width=device-width,initial-scale=1,minimum-scale=1" name="viewport">
    <style>
        .nuxt-loader-bar {
            background: repeating-linear-gradient(to right, #36E4DA 0%, #1DE0B1 25%, #00DC82 50%, #1DE0B1 75%, #36E4DA 100%);
            height: 100px;
            background-size: 200% auto;
            background-position: 0 0;
            animation: gradient 2s infinite;
            animation-fill-mode: forwards;
            animation-timing-function: linear;
            position: fixed;
            bottom: 0;
            left: 0;
            right: 0;
            height: 5px
        }

        .visual-effects .nuxt-loader-bar {
            height: 100px;
            bottom: -50px;
            left: -50px;
            right: -50px;
            filter: blur(100px)
        }

        .visual-effects .mouse-gradient {
            background: repeating-linear-gradient(to right, #00DC82 0%, #1DE0B1 50%, #36E4DA 100%);
            filter: blur(100px);
            opacity: 0.5
        }

        #animation-toggle {
            position: fixed;
            padding: 10px;
            top: 0;
            right: 0;
            transition: opacity 0.4s ease-in;
            opacity: 0
        }

        #animation-toggle:hover {
            opacity: 0.8
        }

        @keyframes gradient {
            0% {
                background-position: 0 0
            }

            100% {
                background-position: -200% 0
            }
        }

        @media (prefers-color-scheme: dark) {

            html,
            body {
                color: white;
                color-scheme: dark
            }

            .nuxt-loader-bar {
                opacity: 0.5
            }
        }

        *,
        :before,
        :after {
            -webkit-box-sizing: border-box;
            box-sizing: border-box;
            border-width: 0;
            border-style: solid;
            border-color: #e0e0e0
        }

        * {
            --tw-ring-inset: var(--tw-empty, );
            --tw-ring-offset-width: 0px;
            --tw-ring-offset-color: #fff;
            --tw-ring-color: rgba(14, 165, 233, .5);
            --tw-ring-offset-shadow: 0 0 #0000;
            --tw-ring-shadow: 0 0 #0000;
            --tw-shadow: 0 0 #0000
        }

        :root {
            -moz-tab-size: 4;
            -o-tab-size: 4;
            tab-size: 4
        }

        a {
            color: inherit;
            text-decoration: inherit
        }

        body {
            margin: 0;
            font-family: inherit;
            line-height: inherit
        }

        button {
            font-family: inherit;
            font-size: 100%;
            line-height: 1.15;
            margin: 0;
            text-transform: none;
            background-color: transparent;
            background-image: none;
            padding: 0;
            line-height: inherit;
            color: inherit
        }

        button {
            -webkit-appearance: button
        }

        button {
            cursor: pointer
        }

        html {
            -webkit-text-size-adjust: 100%;
            font-family: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica Neue, Arial, Noto Sans, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", Segoe UI Symbol, "Noto Color Emoji";
            line-height: 1.5
        }

        svg {
            display: block;
            vertical-align: middle
        }

        .bg-white {
            --tw-bg-opacity: 1;
            background-color: #e5e6eb;
        }

        .rounded-full {
            border-radius: 9999px
        }

        .flex {
            display: -webkit-box;
            display: -ms-flexbox;
            display: -webkit-flex;
            display: flex
        }

        .flex-col {
            -webkit-box-orient: vertical;
            -webkit-box-direction: normal;
            -ms-flex-direction: column;
            -webkit-flex-direction: column;
            flex-direction: column
        }

        .items-center {
            -webkit-box-align: center;
            -ms-flex-align: center;
            -webkit-align-items: center;
            align-items: center
        }

        .justify-center {
            -webkit-box-pack: center;
            -ms-flex-pack: center;
            -webkit-justify-content: center;
            justify-content: center
        }

        .h-\\[200px\\] {
            height: 200px
        }

        .min-h-screen {
            min-height: 100vh
        }

        .overflow-hidden {
            overflow: hidden
        }

        .absolute {
            position: absolute
        }

        .relative {
            position: relative
        }

        .top-0 {
            top: 0
        }

        .text-center {
            text-align: center
        }

        .w-\\[200px\\] {
            width: 200px
        }

        .z-20 {
            z-index: 20
        }

        .transition-opacity {
            -webkit-transition-property: opacity;
            -o-transition-property: opacity;
            transition-property: opacity;
            -webkit-transition-timing-function: cubic-bezier(.4, 0, .2, 1);
            -o-transition-timing-function: cubic-bezier(.4, 0, .2, 1);
            transition-timing-function: cubic-bezier(.4, 0, .2, 1);
            -webkit-transition-duration: .15s;
            -o-transition-duration: .15s;
            transition-duration: .15s
        }

        @media (prefers-color-scheme: dark) {
            .dark\\:bg-black {
                --tw-bg-opacity: 1;
                background-color: hsl(190, 15%, 15%);
            }
        }
    </style>
    <script>(function () {const t = document.createElement("link").relList; if (t && t.supports && t.supports("modulepreload")) return; for (const e of document.querySelectorAll('link[rel="modulepreload"]')) i(e); new MutationObserver(e => {for (const r of e) if (r.type === "childList") for (const o of r.addedNodes) o.tagName === "LINK" && o.rel === "modulepreload" && i(o)}).observe(document, {childList: !0, subtree: !0}); function s(e) {const r = {}; return e.integrity && (r.integrity = e.integrity), e.referrerPolicy && (r.referrerPolicy = e.referrerPolicy), e.crossOrigin === "use-credentials" ? r.credentials = "include" : e.crossOrigin === "anonymous" ? r.credentials = "omit" : r.credentials = "same-origin", r} function i(e) {if (e.ep) return; e.ep = !0; const r = s(e); fetch(e.href, r)} })();<\/script>
</head>

<body
    class="relative overflow-hidden min-h-screen bg-white dark:bg-black flex flex-col justify-center items-center text-center">
    <div id="mouseLight" class="absolute top-0 rounded-full mouse-gradient transition-opacity h-[200px] w-[200px]"
        style="opacity: 0;">
    </div>
    <a href="https://weightmans.com/" target="_blank" rel="noopener" class="nuxt-logo z-20">
        <svg id="nuxtImg" width="282" height="282" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 282 282">
            <defs>
              <style>
                #W {
                  fill: #fff;
                }

                #bg{
                  fill: #004f59;
                }

                @media (prefers-color-scheme: dark) {

                  #W {
                    fill: #fff;
                  }

                  #bg {
                    fill: #00656e;
                  }
                }
              </style>
            </defs>
            <rect id="bg" width="282" height="282" rx="70" ry="70"/>
            <path d="M 112.326 65.299 L 100.166 65.299 L 91.711 101.114 C 90.666 106.149 89.906 111.374 89.241 116.314 L 89.051 116.314 C 88.291 111.184 87.056 105.674 85.726 100.924 L 75.751 65.299 L 63.401 65.299 L 53.711 100.544 C 52.286 106.149 51.336 111.469 50.671 116.314 L 50.481 116.314 C 49.816 111.469 48.961 106.339 47.726 100.354 L 39.176 65.299 L 25.971 65.299 L 42.026 129.424 L 57.416 129.424 L 67.011 94.369 C 67.866 90.949 68.436 86.769 69.006 82.684 L 69.196 82.684 C 69.671 86.579 70.431 90.949 71.286 94.369 L 81.071 129.424 L 96.366 129.424 Z" transform="matrix(2.585554, 0, 0, 2.611064, -39.654846, -103.689255)" id="W" style="stroke-linecap: round; stroke-width: 1.1546px;"/>
          </svg> </a><button id="animation-toggle">Animation Disabled</button>
    <div class="nuxt-loader-bar"></div>
    <script>const ANIMATION_KEY = 'nuxt-loading-enable-animation'
        const isSafari = /^((?!chrome|android).)*safari/i.test(navigator.userAgent)

        let isLowPerformance = checkIsLowPerformance()
        let enableAnimation = localStorage.getItem(ANIMATION_KEY) === 'false'
            ? false
            : localStorage.getItem(ANIMATION_KEY) === 'true'
                ? true
                : !isLowPerformance

        const mouseLight = window.document.getElementById('mouseLight')
        const nuxtImg = window.document.getElementById('nuxtImg')
        const animationToggle = window.document.getElementById('animation-toggle')
        const body = window.document.body
        let bodyRect

        function checkIsLowPerformance() {
            return window.matchMedia('(prefers-reduced-motion: reduce)').matches
                || navigator.hardwareConcurrency < 2
                || navigator.deviceMemory < 1
                // Safari has some performance issue on the blur filter. Remove this when it's fixed.
                || isSafari
        }
        function calculateDistance(elem, mouseX, mouseY) {
            return Math.floor(Math.sqrt(Math.pow(mouseX - (elem.x + (elem.width / 2)), 2) + Math.pow(mouseY - (elem.top + (elem.height / 2)), 2)));
        }
        function onFocusOut() {
            if (!enableAnimation) {
                return
            }
            mouseLight.style.opacity = 0
            nuxtImg.style.opacity = 0.7
        }
        function onMouseMove(e) {
            if (!enableAnimation) {
                return
            }
            const pointerRect = nuxtImg.getBoundingClientRect()
            if (!bodyRect) {
                bodyRect = body.getBoundingClientRect()
            }
            const distance = calculateDistance(pointerRect, e.pageX, e.pageY)
            const size = Math.max((1000 - distance) / 2 / 100, 1)

            mouseLight.style.top = \`\${e.clientY - bodyRect.y - mouseLight.clientHeight / 2}px\`
            mouseLight.style.left = \`\${e.clientX - mouseLight.clientWidth / 2}px\`
            mouseLight.style.width = mouseLight.style.height = \`\${Math.max(Math.round(size * 100), 300)}px\`
            mouseLight.style.filter = \`blur(\${Math.min(Math.max(size * 50, 100), 160)}px)\`
            mouseLight.style.opacity = Math.min(Math.max(size / 4, 0.6), 1)

            const dx = e.pageX - pointerRect.left
            const dy = e.pageY - pointerRect.top
            const logoGradient = \`radial-gradient(circle at \${dx}px \${dy}px, black 75%, transparent 100%)\`
            nuxtImg.style['-webkit-mask-image'] = logoGradient
            nuxtImg.style['mask-image'] = logoGradient
            nuxtImg.style.opacity = Math.min(Math.max(size / 4, 0.7), 1)
        }

        function toggleAnimation(value = !enableAnimation) {
            enableAnimation = value
            document.body.classList.toggle('visual-effects', enableAnimation)
            if (value) {
                onFocusOut()
                animationToggle.innerText = 'Animation Enabled'
            }
            else {
                mouseLight.style.opacity = 0
                nuxtImg.style.opacity = 1
                nuxtImg.style['mask-image'] = ''
                nuxtImg.style['-webkit-mask-image'] = ''
                animationToggle.innerText = 'Animation Disabled'
            }
            localStorage.setItem(ANIMATION_KEY, enableAnimation ? 'true' : 'false')
        }

        animationToggle.addEventListener('click', () => toggleAnimation(), {passive: true})
        body.addEventListener('mousemove', onMouseMove, {passive: true})
        body.addEventListener('mouseleave', onFocusOut, {passive: true})

        toggleAnimation(enableAnimation)

        if (typeof window.fetch === 'undefined') {
            setTimeout(() => window.location.reload(), 1000)
        } else {
            const check = async () => {
                try {
                    const body = await window
                        .fetch(window.location.href)
                        .then(r => r.text())
                    if (!body.includes('__NUXT_LOADING__')) {
                        return window
                            .location
                            .reload()
                    }
                } catch { }
                setTimeout(check, 1000)
            }
            check()
        }<\/script>
</body>

</html>
`, Bn = `// with unplugin-vue-markdown, markdown files can be treated as Vue components

declare module '*.md' {
  import type { DefineComponent } from 'vue'

  const component: DefineComponent<object, object, unknown>
  export default component
}
`, Pn = `declare module '#build/mock-server' {
  import type { defineMockServer } from '~/nuxt/utils'

  const component: ReturnType<typeof defineMockServer>
  export default component
}
`, Tn = `import { defineNuxtPlugin, navigateTo, useRuntimeConfig } from '#app'
import { ref } from 'vue'

export default defineNuxtPlugin(async (nuxtApp) => {
  const { appApiUrl, appTenantId, appMode, mockServerPath } = useRuntimeConfig().public

  const abortController = new AbortController()
  const isStorybook = (import.meta.env as Record<string, string>).STORYBOOK === 'true'

  const { useAuth } = appTenantId ? (await import('weightmans-ui-vue/nuxt/composables/useAuth')) : { useAuth: () => { } }

  if ((appMode === 'offline-development' || appMode === 'test') && typeof mockServerPath === 'string' && mockServerPath !== '' && !isStorybook) {
    const { createServer } = await import('miragejs')

    const { default: serverConfig } = await import('#build/mock-server')

    const server = createServer({
      urlPrefix: appApiUrl,
      ...serverConfig,
    })

    if (isStorybook) {
      server.get('/_nuxt/builds/meta/dev.json', () => ({
        id: 'dev',
        timestamp: 1733923133163,
        matcher: {
          static: {},
          wildcard: {},
          dynamic: {},
        },
        prerendered: [],
      }))
    }
    else {
      server.passthrough('/_nuxt/builds/meta/dev.json')
    }
  }

  const createApi = (opts?: Parameters<typeof $fetch['create']>[0], customOptions?: {
    hookStrategy: 'replace' | 'merge'
    onRequest?: Parameters<typeof $fetch['create']>[0]['onRequest']
    onRequestError?: Parameters<typeof $fetch['create']>[0]['onRequestError']
    onResponse?: Parameters<typeof $fetch['create']>[0]['onResponse']
    onResponseError?: Parameters<typeof $fetch['create']>[0]['onResponseError']
  }) => {
    const statusCode = ref<number>()

    const { hookStrategy, onRequest, onRequestError, onResponse, onResponseError } = customOptions ?? {
      onRequest: undefined,
      onRequestError: undefined,
      onResponse: undefined,
      onResponseError: undefined,
      hookStrategy: 'merge',
    }

    const { accessToken } = appTenantId ? useAuth() : { accessToken: useState('accessToken', () => '') }

    return {
      statusCode,
      $api: $fetch.create({
        baseURL: appApiUrl,
        signal: abortController.signal,
        async onRequest(ctx) {
          ctx.options.headers.set('Content-Type', \`application/json\`)
          if (accessToken.value) {
            ctx.options.headers.set('Authorization', \`Bearer \${accessToken.value}\`)
          }
          if (onRequest && hookStrategy === 'merge') {
            if (Array.isArray(onRequest)) {
              await Promise.all(onRequest.map(async hook => await hook(ctx)))
            }
            else {
              onRequest(ctx)
            }
          }
        },
        async onResponseError(ctx) {
          statusCode.value = ctx.response.status
          if (ctx.response.status === 401) {
            await nuxtApp.runWithContext(() => navigateTo('/login'))
          }
          if (onResponseError && hookStrategy === 'merge') {
            if (Array.isArray(onResponseError)) {
              await Promise.all(onResponseError.map(async hook => await hook(ctx)))
            }
            else {
              onResponseError(ctx)
            }
          }
        },
        async onResponse(ctx) {
          statusCode.value = ctx.response.status
          if (onResponse && hookStrategy === 'merge') {
            if (Array.isArray(onResponse)) {
              await Promise.all(onResponse.map(async hook => await hook(ctx)))
            }
            else {
              onResponse(ctx)
            }
          }
        },
        mode: 'cors',
        ...opts,
        ...(hookStrategy === 'replace'
          ? {
            onRequest,
            onRequestError,
            onResponse,
            onResponseError,
          }
          : {}),
      }),
    }
  }

  // Expose to useNuxtApp().$api
  return {
    provide: {
      createApi,
      abortController,
    },
  }
})
`, Rn = `interface ImportMeta {
  env: {
    MODE: AppEnvironment
  }
  hot?: {
    accept: (callback: (arg: unknown) => unknown) => void
  }
  browser?: boolean
}

declare const defineModels: <T>() => {
  [K in keyof T]-?: WritableComputedRef<T[K]>
}
`, gt = se.npm_lifecycle_event === "storybook";
function Fn(n, a) {
  if (a.composables === !1)
    return;
  const y = Object.keys(n).filter((c) => /^use([A-Z][a-z]*)*$/.exec(c)).map((c) => ({
    name: c,
    from: "weightmans-ui-vue"
  }));
  gr(y);
}
function kn(n, a) {
  a.composables !== !1 && gr(Object.keys(n).filter((y) => y !== "default").map((y) => ({
    name: y,
    from: "weightmans-ui-vue/utils"
  })));
}
function On(n, a) {
  if (a.components === !1)
    return;
  Object.keys(n).filter((c) => /^W([A-Z][a-z]*)*$/.exec(c)).map((c) => ({
    name: c,
    export: c,
    filePath: "weightmans-ui-vue"
  })).forEach((c) => Ir(c)), Ir({
    name: "WeightmansWelcome",
    export: "WeightmansWelcome",
    filePath: "weightmans-ui-vue"
  });
}
function Cn(n, a) {
  n.options.css.push("weightmans-ui-vue/styles"), a.secondaryColor && n.options.css.push(`weightmans-ui-vue/styles/${a.secondaryColor}`);
}
const ai = {
  host: "0.0.0.0",
  port: 5174,
  https: se.VITEST === "true" ? !1 : {
    key: Re(Sr(), "localhost-key.pem"),
    cert: Re(Sr(), "localhost.pem")
  },
  loadingTemplate: () => In
};
function Un(n) {
  n.hook("nitro:config", async (a) => {
    a.publicAssets || (a.publicAssets = []), a.publicAssets.push({
      dir: Re("./node_modules/weightmans-ui-vue/dist/assets"),
      baseURL: "/assets",
      maxAge: 60 * 60 * 24 * 365
      // 1 year
    });
  });
}
function jn(n) {
  var a, y, c, m, h, f;
  n.options.app.head.bodyAttrs = {
    class: "weightmans-viewport"
  }, (a = n.options.app.head.meta) == null || a.push({ name: "viewport", content: "width=device-width, initial-scale=1.0" }), (y = n.options.app.head.meta) == null || y.push({ name: "msapplication-TileColor", content: "#003C41" }), (c = n.options.app.head.link) == null || c.push({ rel: "icon", type: "image/x-icon", href: "/assets/favicon.svg" }), (m = n.options.app.head.link) == null || m.push({ rel: "mask-icon", type: "image/x-icon", href: "/assets/favicon.svg", color: "#003C41" }), (h = n.options.app.head.link) == null || h.push({ rel: "apple-touch-icon", type: "image/x-icon", href: "/assets/favicon.svg", color: "#003C41" }), n.options.app.head.htmlAttrs = {
    lang: "en"
  }, (n.options.vite.mode === "offline-development" || n.options.vite.mode === "development") && ((f = n.options.app.head.style) == null || f.push({
    innerHTML: `
      #__nuxt {
        > div.antialiased.text-black.flex.bg-white {
          width: 100%;
          background-color: var(--app-color-background);
          > h1 {
            color: var(--app-color-primary-variant);
            font-family: 'The Mix', sans-serif;
            font-weight: 800;
            display: flex;
            gap: var(--space-m);
            &:before {
              content: '';
              background: url(./assets/favicon.svg) no-repeat;
              width: 1em;
              height: 1em;
            }
          }
          > h1 + p {
            font-family: 'Open Sans', sans-serif;
            font-weight: 400;
            color: var(--app-color-on-surface);
          }
          > h1 + p + div {
            background-color: var(--app-color-surface);
            color: var(--app-color-on-surface);
            border-radius: var(--space-l);
            > pre {
              padding: var(--space-l);
            }
          }
        }
        .spotlight {
          background: linear-gradient(45deg, var(--app-color-secondary-container), var(--app-color-secondary) 50%, var(--app-color-secondary-variant-container));
        }
      }
      `
  }));
}
function _n(n, a) {
  var c;
  if (a.auth === !1 || typeof a.auth == "object" && !a.auth.msal)
    return;
  const { resolve: y } = Ee(import.meta.url);
  n.options.runtimeConfig.public.appTenantId = se.NUXT_APP_TENANT_ID, n.options.runtimeConfig.public.appId = se.NUXT_APP_ID, n.options.runtimeConfig.public.appApiScope = se.NUXT_APP_API_SCOPE, typeof a.auth == "object" && a.auth.msal && (n.options.runtimeConfig.public.msalConfig = a.auth.msal), (n.options.vite.mode === "offline-development" || n.options.vite.mode === "test") && (n.options.vite.resolve = {
    ...n.options.vite.resolve,
    alias: {
      ...(c = n.options.vite.resolve) == null ? void 0 : c.alias,
      "@azure/msal-browser": y("./nuxt/mocks/@azure/msal-browser"),
      "actual:@azure/msal-browser": _t(new URL(
        /* @vite-ignore */
        "./node_modules/@azure/msal-browser",
        import.meta.url
      ))
    }
  }), Fe({
    src: y("./nuxt/plugins/msal"),
    mode: "client"
  }), wr([
    {
      from: y("./nuxt/composables/useAuth"),
      imports: ["useAuth"]
    }
  ]);
}
async function Mn(n, a) {
  if (a.markdown === !1)
    return;
  const { default: y } = await import("unplugin-vue-markdown/vite"), { default: c } = await import("./index-NR9GBGu-.js").then((m) => m.i);
  kt(y({
    wrapperClasses: "md-content",
    headEnabled: !0,
    async markdownItSetup(m) {
      m.use(c, {
        matcher: (h) => /^https?:\/\//.test(h),
        attrs: {
          target: "_blank",
          rel: "noopener"
        }
      });
    },
    ...!a.markdown || a.markdown === !0 ? {} : a.markdown
  })), mr({
    filename: "markdown.d.ts",
    getContents: () => Bn
  }), n.options.vite.vue = {
    ...n.options.vite.vue,
    include: [/\.vue$/, /\.md$/]
  };
}
async function Nn(n, a) {
  if (a.clarity === !1 && a.hotjar === !1)
    return;
  n.options.runtimeConfig.public.appTrackingEnabled = se.NUXT_APP_TRACKING_ENABLED === "true";
  const { resolve: y } = Ee(import.meta.url);
  a.hotjar !== !1 && (n.options.runtimeConfig.public.hotjarConfig = !a.hotjar || a.hotjar === !0 ? {} : a.hotjar, n.options.runtimeConfig.public.appHotjarSiteId = +se.NUXT_APP_HOTJAR_SITE_ID, Fe({
    src: y("./nuxt/plugins/hotjar"),
    mode: "client"
  })), a.clarity !== !1 && (n.options.runtimeConfig.public.clarityConfig = a.clarity, n.options.runtimeConfig.public.appClaritySiteId = se.NUXT_APP_CLARITY_SITE_ID, wr([
    {
      from: "./nuxt/composables/useClarity",
      imports: ["useClarity"]
    }
  ]), Fe({
    src: y("./nuxt/plugins/clarity"),
    mode: "client"
  }));
}
function $n(n, a) {
  if (a.trickling === !1)
    return;
  const { resolve: y } = Ee(import.meta.url);
  n.options.runtimeConfig.public.trickling = !a.trickling || a.trickling === !0 ? {} : a.trickling, Ot({
    name: "trickling",
    path: y("./nuxt/middleware/trickling"),
    global: !0
  });
}
async function Dn(n, a) {
  var m;
  if (a.api === !1)
    return;
  const { resolve: y } = Ee(import.meta.url), c = typeof a.api == "object" && typeof a.api.mockServerPath == "string" ? `import { defineMockServer } from 'weightmans-ui-vue/nuxt/utils'
${await bt(Re(Tt(), ((m = a.api) == null ? void 0 : m.mockServerPath) ?? ""), "utf-8")}` : "export default {}";
  gr({
    name: "defineMockServer",
    from: "weightmans-ui-vue/nuxt/utils"
  }), Ct({
    filename: "mock-server.ts",
    getContents: () => c
  }), mr({
    filename: "mock-server.d.ts",
    getContents: () => Pn
  }), n.options.runtimeConfig.public.mockServerPath = typeof a.api == "object" ? a.api.mockServerPath ?? "" : "", n.options.runtimeConfig.public.appApiUrl = se.NUXT_APP_API_URL, Ut({
    filename: "api.ts",
    getContents: () => Tn
  }), a.composables !== !1 && wr({
    from: y("./nuxt/composables/useApi"),
    imports: ["useApi"]
  });
}
async function wt(n) {
  (await bt(n, "utf-8")).split(`
`).forEach((a) => {
    const [y, c] = a.split("=");
    se[y] = c;
  });
}
async function Ln(n) {
  const a = gt ? "offline-development" : se.MODE;
  await wt(".env"), gt && (await wt(".env.offline-development"), n.options.css.push("weightmans-ui-vue/storybook-styles")), n.options.runtimeConfig.public.appMode = a, n.options.vite.mode = a;
}
const ui = Ft({
  meta: {
    name: "weightmans-nuxt",
    configKey: "weightmans",
    compatibility: {
      nuxt: "^3.0.0"
    }
  },
  // Default configuration options of the Nuxt module
  defaults: {
    secondaryColor: "innovative"
  },
  async setup(n, a) {
    await Ln(a);
    const y = await import("./index.js"), c = await import("./utils.js"), { resolve: m } = Ee(import.meta.url);
    mr({
      filename: "weightmans-ui-vue.d.ts",
      getContents: () => Rn
    }), Sn({
      name: "weightmans",
      title: "Weightmans UI",
      icon: "/assets/favicon.svg",
      view: {
        type: "iframe",
        src: "https://ui.weightmans.com/guide/introduction",
        persistent: !0
      }
    }), Fe({
      // src: 'weightmans-ui-vue/nuxt/plugins/register-link',
      src: m("nuxt/plugins/register-link")
    }), $n(a, n), _n(a, n), await Dn(a, n), await Nn(a, n), On(y, n), Fn(y, n), kn(c, n), Cn(a, n), await Mn(a, n), Un(a), jn(a);
  }
});
export {
  ai as d,
  ii as g,
  ui as m
};
