import { defineNuxtPlugin as R, useRuntimeConfig as h, navigateTo as w } from "#app";
import { ref as k } from "vue";
const S = R(async (y) => {
  const { appApiUrl: u, appTenantId: l, appMode: c, mockServerPath: f } = h().public, m = new AbortController(), v = !1, { useAuth: g } = l ? await import("weightmans-ui-vue/nuxt/composables/useAuth") : { useAuth: () => {
  } };
  if ((c === "offline-development" || c === "test") && typeof f == "string" && f !== "" && !v) {
    const { createServer: i } = await import("miragejs"), { default: p } = await import("#build/mock-server");
    i({
      urlPrefix: u,
      ...p
    }).passthrough("/_nuxt/builds/meta/dev.json");
  }
  return {
    provide: {
      createApi: (i, p) => {
        const t = k(), { hookStrategy: n, onRequest: o, onRequestError: A, onResponse: s, onResponseError: r } = p ?? {
          onRequest: void 0,
          onRequestError: void 0,
          onResponse: void 0,
          onResponseError: void 0,
          hookStrategy: "merge"
        }, { accessToken: d } = l ? g() : { accessToken: useState("accessToken", () => "") };
        return {
          statusCode: t,
          $api: $fetch.create({
            baseURL: u,
            signal: m.signal,
            async onRequest(e) {
              e.options.headers.set("Content-Type", "application/json"), d.value && e.options.headers.set("Authorization", `Bearer ${d.value}`), o && n === "merge" && (Array.isArray(o) ? await Promise.all(o.map(async (a) => await a(e))) : o(e));
            },
            async onResponseError(e) {
              t.value = e.response.status, e.response.status === 401 && await y.runWithContext(() => w("/login")), r && n === "merge" && (Array.isArray(r) ? await Promise.all(r.map(async (a) => await a(e))) : r(e));
            },
            async onResponse(e) {
              t.value = e.response.status, s && n === "merge" && (Array.isArray(s) ? await Promise.all(s.map(async (a) => await a(e))) : s(e));
            },
            mode: "cors",
            ...i,
            ...n === "replace" ? {
              onRequest: o,
              onRequestError: A,
              onResponse: s,
              onResponseError: r
            } : {}
          })
        };
      },
      abortController: m
    }
  };
});
export {
  S as default
};
