import { defineNuxtPlugin as d, useRuntimeConfig as h } from "#app";
import { ref as m } from "vue";
const T = d({
  name: "msal",
  setup: async () => {
    var l, u;
    if (import.meta.server)
      return {};
    const n = h(), { createStandardPublicClientApplication: f, InteractionRequiredAuthError: s } = await import("@azure/msal-browser"), c = [n.public.appApiScope], i = { scopes: c, state: window.location.pathname }, e = await f({
      auth: {
        clientId: n.public.appId,
        authority: `https://login.microsoftonline.com/${n.public.appTenantId}`,
        postLogoutRedirectUri: `https://${window.location.host}/sign-out`,
        redirectUri: `https://${window.location.host}/`,
        navigateToLoginRequestUrl: !0
      },
      system: {
        iframeHashTimeout: 1e4,
        tokenRenewalOffsetSeconds: 300
      },
      cache: {
        cacheLocation: "localStorage",
        storeAuthStateInCookie: !1
      },
      ...n.public.msalConfig
    }), r = async () => await e.acquireTokenSilent({ scopes: c }).then(({ accessToken: t }) => t).catch(async (t) => (t instanceof s && await e.acquireTokenRedirect(i), ""));
    await e.handleRedirectPromise();
    const a = e.getAllAccounts();
    a.length === 0 ? await e.loginRedirect(i) : a[0] && e.setActiveAccount(a[0]);
    try {
      const { accessToken: o } = await e.acquireTokenSilent({
        scopes: c,
        refreshTokenExpirationOffsetSeconds: 300,
        forceRefresh: !0
      }), t = m(o), p = (u = (l = e.getActiveAccount()) == null ? void 0 : l.idTokenClaims) == null ? void 0 : u.exp;
      return setInterval(async () => {
        t.value = await r();
      }, p ? p * 1e3 - Date.now() : 3e5), { provide: { msalInstance: e, accessTokenRef: t, refreshToken: r } };
    } catch (o) {
      return o instanceof s && await e.loginRedirect(i), {};
    }
  }
});
export {
  T as default
};
