import { themes as t } from "@storybook/theming";
const e = "#178E8D", n = "#666666", o = "#212a2c", r = "#FFFFFF", a = {
  base: "light",
  // Typography
  fontBase: '"Open Sans", sans-serif',
  fontCode: "monospace",
  brandTitle: "Weightmans UI Components for Vue",
  brandUrl: "https://weightmans.com",
  brandImage: "/assets/weightmans-logo.svg",
  brandTarget: "_self"
}, l = {
  ...t.light,
  ...a,
  //
  colorPrimary: e,
  colorSecondary: e,
  // UI
  appBg: r,
  appContentBg: r,
  appBorderColor: "rgba(0,0,0,0.1)",
  appBorderRadius: 12,
  // Text colors
  textColor: o,
  textInverseColor: r,
  // textMutedColor: '#222',
  // Toolbar default and active colors
  barTextColor: "#9E9E9E",
  barSelectedColor: "#585C6D",
  barBg: "#ffffff",
  // Form colors
  inputBg: "#ffffff",
  inputBorder: "#585C6D",
  inputTextColor: "#10162F",
  inputBorderRadius: 8
}, p = {
  ...t.dark,
  ...a,
  base: "dark",
  //
  colorPrimary: "#2fe0dc",
  colorSecondary: "#2fe0dc",
  // UI
  appBg: o,
  appContentBg: o,
  appBorderColor: "rgba(255,255,255,.1)",
  appBorderRadius: 12,
  // Text colors
  textColor: r,
  textInverseColor: o,
  // textMutedColor: '#eee',
  // Toolbar default and active colors
  barTextColor: "rgba(255,255,255,.8)",
  barSelectedColor: "#2fe0dc",
  barBg: "rgba(255,255,255,.05)",
  // Form colors
  inputBg: "#293538",
  inputBorder: "#3f3f3f",
  inputTextColor: r,
  inputBorderRadius: 8,
  booleanBg: o,
  booleanSelectedBg: n,
  buttonBg: "#293538",
  buttonBorder: "#3f3f3f"
};
export {
  p as a,
  l as w
};
